package cn.ibizlab.ehr.util.dict;

import lombok.Getter;

public class StaticDict {






    /**
     * 代码表[返聘类型]
     */
    @Getter
    public enum EhrCodeList0196 {
        ITEM_1("1","返聘局内部人员"),
        ITEM_2("2","返聘局外部人员");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0196(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[合同类型(失效)]
     */
    @Getter
    public enum EhrCodeList0045 {
        ITEM_10("10","固定期"),
        ITEM_30("30","完成一定工作任务"),
        ITEM_20("20","无固定期");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0045(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[扩展表格单元格垂直对齐方式]
     */
    @Getter
    public enum CodeList75 {
        TOP("TOP","上对齐"),
        MIDDLE("MIDDLE","居中对齐"),
        BOTTOM("BOTTOM","下对齐");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList75(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[数据库触发器目标]
     */
    @Getter
    public enum CodeList68 {
        TABLE("TABLE","主表"),
        VIEW("VIEW","视图");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList68(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[影音设备]
     */
    @Getter
    public enum EhrCodeList0248 {
        ITEM_10("10","投影设备"),
        ITEM_20("20","LED设备"),
        ITEM_30("30","等离子设备"),
        ITEM_40("40","电脑"),
        ITEM_50("50","视频播放器"),
        ITEM_60("60","音响设备"),
        ITEM_70("70","无线麦克");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0248(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[服务启动模式]
     */
    @Getter
    public enum CodeList37 {
        AUTO("AUTO","自动"),
        MANUAL("MANUAL","手动");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList37(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[审核状态（员工编号变更使用）]
     */
    @Getter
    public enum EhrCodeList0044 {
        ITEM_5("5","草稿"),
        ITEM_7("7","失效"),
        ITEM_10("10","待公司初审"),
        ITEM_20("20","公司初审不通过"),
        ITEM_30("30","待公司董事长审批"),
        ITEM_40("40","公司董事长不通过"),
        ITEM_50("50","待局总部初审"),
        ITEM_60("60","局总部初审不通过"),
        ITEM_65("65","待局总部审核"),
        ITEM_68("68","局总部审核不通过"),
        ITEM_70("70","待局总部审批"),
        ITEM_80("80","局总部审批不通过"),
        ITEM_90("90","审批完成"),
        ITEM_100("100","待上报");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0044(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[是否（通用）]
     */
    @Getter
    public enum EhrCodeList0097 {
        ITEM_1("1","是"),
        ITEM_0("0","否");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0097(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[岗位性质]
     */
    @Getter
    public enum EhrCodeList0190 {
        ITEM_10("10","标准工时制"),
        ITEM_20("20","非标准工时制");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0190(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[出（国）境类型]
     */
    @Getter
    public enum EhrCodeList0126 {
        ITEM_10("10","因公"),
        ITEM_20("20","因私");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0126(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[类型（针对任职分配）]
     */
    @Getter
    public enum EhrCodeList0058 {
        ITEM_10("10","调动申请"),
        ITEM_20("20","职务变动申请"),
        ITEM_30("30","轮岗申请"),
        ITEM_40("40","借调申请"),
        ITEM_50("50","兼职申请");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0058(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[档案状态]
     */
    @Getter
    public enum EhrCodeList0169 {
        ITEM_10("10","员工在档"),
        ITEM_20("20","员工不在档"),
        ITEM_25("25","非员工不在档"),
        ITEM_30("30","非员工在档");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0169(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[启动类型（绩效管理）]
     */
    @Getter
    public enum EhrCodeList0144 {
        ITEM_10("10","开启量化目标填写"),
        ITEM_20("20","开启量化目标评分"),
        ITEM_30("30","开启年终绩效评分");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0144(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[平台内置处理组件类型]
     */
    @Getter
    public enum CodeList118 {
        CODELISTFILLER("CODELISTFILLER","代码表填充器"),
        WFPROCESS("WFPROCESS","工作流嵌入处理"),
        DGACTIONHELPER("DGACTIONHELPER","表格后台处理对象"),
        FORMACTIONHELPER("FORMACTIONHELPER","表单后台处理类"),
        PAGE("PAGE","页面对象");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList118(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目人员类型]
     */
    @Getter
    public enum EhrCodeList0132 {
        ITEM_10("10","项目经理"),
        ITEM_20("20","安全总监");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0132(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[审批状态]
     */
    @Getter
    public enum EhrCodeList0127 {
        ITEM_10("10","已通过"),
        ITEM_20("20","已拒绝");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0127(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[项目规模]
     */
    @Getter
    public enum EhrCodeList0031 {
        ITEM_10("10","特级项目"),
        ITEM_20("20","一级项目"),
        ITEM_30("30","二级项目"),
        ITEM_40("40","三级项目"),
        ITEM_50("50","四级项目"),
        ITEM_60("60","五级项目");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0031(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[岗位类型（绩效管理）]
     */
    @Getter
    public enum EhrCodeList0188 {
        ITEM_10("10","项目经理"),
        ITEM_20("20","项目其他序列岗位人员");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0188(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[周期类型（培训管理）]
     */
    @Getter
    public enum EhrCodeList0403 {
        ITEM_10("10","年度"),
        ITEM_20("20","季度");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0403(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[通知类型]
     */
    @Getter
    public enum EhrCodeList0064 {
        ITEM_10("10","公司领导类"),
        ITEM_20("20","部门领导类"),
        ITEM_30("30","一般管理人员类"),
        ITEM_40("40","其他类");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0064(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[字段查询扩展选项]
     */
    @Getter
    public enum CodeList60 {
        LIKE("LIKE","LIKE大小写敏感"),
        EQ("=","=（含其它）大小写敏感"),
        LIKESPLIT("LIKESPLIT","LIKE分解");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList60(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[分类（党内、行政、党内或行政）]
     */
    @Getter
    public enum EhrCodeList0147 {
        ITEM_0("0","党内"),
        ITEM_1("1","行政"),
        ITEM_2("2","党内或行政");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0147(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[交通方式]
     */
    @Getter
    public enum EhrCodeList0175 {
        ITEM_10("10","公交"),
        ITEM_20("20","地铁");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0175(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[年份（2010～2020）]
     */
    @Getter
    public enum CodeList81 {
        ITEM_2010("2010","2010年"),
        ITEM_2011("2011","2011年"),
        ITEM_2012("2012","2012年"),
        ITEM_2013("2013","2013年"),
        ITEM_2014("2014","2014年"),
        ITEM_2015("2015","2015年"),
        ITEM_2016("2016","2016年"),
        ITEM_2017("2017","2017年"),
        ITEM_2018("2018","2018年"),
        ITEM_2019("2019","2019年"),
        ITEM_2020("2020","2020年"),
        ITEM_2021("2021","2021年"),
        ITEM_2022("2022","2022年"),
        ITEM_2023("2023","2023年"),
        ITEM_2024("2024","2024年"),
        ITEM_2025("2025","2025年");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList81(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[季度（1～4）]
     */
    @Getter
    public enum CodeList83 {
        ITEM_1("1","1季度"),
        ITEM_2("2","2季度"),
        ITEM_3("3","3季度"),
        ITEM_4("4","4季度");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList83(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[树视图节点类型]
     */
    @Getter
    public enum CodeList94 {
        STATIC("STATIC","静态"),
        DE("DE","动态（实体）"),
        CODELIST("CODELIST","动态（代码表）");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList94(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[语言等级]
     */
    @Getter
    public enum EhrCodeList0204 {
        ITEM_10("10","CET-4"),
        ITEM_20("20","CET-6"),
        ITEM_30("30","英语专四"),
        ITEM_40("40","英语专八"),
        ITEM_50("50","其他语言"),
        ITEM_60("60","无");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0204(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[档案归还状态]
     */
    @Getter
    public enum EhrCodeList0149 {
        ITEM_10("10","借阅中"),
        ITEM_20("20","已归还");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0149(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[要素项增减]
     */
    @Getter
    public enum EhrCodeList0128 {
        ITEM_10("10","增加"),
        ITEM_20("20","扣减");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0128(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[消息模板内容类型]
     */
    @Getter
    public enum CodeList42 {
        TEXT("TEXT","纯文本"),
        HTML("HTML","HTML网页");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList42(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[请销假业务状态]
     */
    @Getter
    public enum EhrCodeList0134 {
        ITEM_10("10","拟稿"),
        ITEM_20("20","审批中"),
        ITEM_25("25","待销假"),
        ITEM_30("30","已通过"),
        ITEM_40("40","已驳回"),
        ITEM_50("50","已取消");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0134(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[补字应用场合类型]
     */
    @Getter
    public enum CodeList30 {
        GG("GG","公共"),
        SH("SH","审核"),
        PG("PG","派工"),
        SABTYY("SABTYY","SABTYY"),
        RKDSH("RKDSH","入库单审核"),
        CKDSH("CKDSH","出库单审核"),
        BSDSH("BSDSH","报损单审核"),
        SAOA("SAOA","SAOA"),
        FW("FW","发文"),
        SW("SW","收文");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList30(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[机构类型]
     */
    @Getter
    public enum EhrCodeList0111 {
        ITEM_10("10","内部"),
        ITEM_20("20","外部");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0111(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[页面跳转处理_页面类型]
     */
    @Getter
    public enum CodeList113 {
        PAGE("PAGE","内置页面"),
        URL("URL","网页路径"),
        SCRIPT("SCRIPT","脚本");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList113(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[职务层级]
     */
    @Getter
    public enum EhrCodeList0120 {
        ITEM_10("10","局级机关"),
        ITEM_20("20","公司级机关"),
        ITEM_30("30","经理部机关"),
        ITEM_40("40","项目部");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0120(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[是否]
     */
    @Getter
    public enum EhrCodeList0054 {
        ITEM_1("1","是"),
        ITEM_0("0","否");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0054(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[配置变动操作类型]
     */
    @Getter
    public enum EhrCodeList0174 {
        ITEM_10("10","更新"),
        ITEM_20("20","更正");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0174(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[劳动争议类型]
     */
    @Getter
    public enum EhrCodeList0182 {
        ITEM_1("1","仲裁"),
        ITEM_2("2","诉讼");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0182(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[通过/拒绝]
     */
    @Getter
    public enum EhrCodeList0173 {
        ITEM_10("10","通过"),
        ITEM_20("20","拒绝");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0173(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[培训模块]
     */
    @Getter
    public enum EhrCodeList0171 {
        ITEM_10("10","海外工程管理业务能力提升"),
        ITEM_20("20","投融资板块业务能力提升"),
        ITEM_30("30","基础设施管理能力提升"),
        ITEM_40("40","总承包管理能力提升"),
        ITEM_50("50","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0171(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据操作步骤]
     */
    @Getter
    public enum CodeList11 {
        USERDECLARE("USERDECLARE","变量定义"),
        USERINIT("USERINIT","变量初始化"),
        INPUTCHECK("INPUTCHECK","数据检查"),
        BEFOREACTION("BEFOREACTION","操作之前"),
        EXECUTEACTION("EXECUTEACTION","执行操作"),
        AFTERACTION("AFTERACTION","操作之后");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList11(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[代码发布路径]
     */
    @Getter
    public enum CodeList116 {
        DEFAULT("DEFAULT","默认");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList116(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[服务运行状态]
     */
    @Getter
    public enum CodeList38 {
        START("START","启动"),
        STOP("STOP","停止");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList38(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[年周（1～52）]
     */
    @Getter
    public enum CodeList84 {
        ITEM_01("01","第1周"),
        ITEM_02("02","第2周"),
        ITEM_03("03","第3周"),
        ITEM_04("04","第4周"),
        ITEM_05("05","第5周"),
        ITEM_06("06","第6周"),
        ITEM_07("07","第7周"),
        ITEM_08("08","第8周"),
        ITEM_09("09","第9周"),
        ITEM_10("10","第10周"),
        ITEM_11("11","第11周"),
        ITEM_12("12","第12周"),
        ITEM_13("13","第13周"),
        ITEM_14("14","第14周"),
        ITEM_15("15","第15周"),
        ITEM_16("16","第16周"),
        ITEM_17("17","第17周"),
        ITEM_18("18","第18周"),
        ITEM_19("19","第19周"),
        ITEM_20("20","第20周"),
        ITEM_21("21","第21周"),
        ITEM_22("22","第22周"),
        ITEM_23("23","第23周"),
        ITEM_24("24","第24周"),
        ITEM_25("25","第25周"),
        ITEM_26("26","第26周"),
        ITEM_27("27","第27周"),
        ITEM_28("28","第28周"),
        ITEM_29("29","第29周"),
        ITEM_30("30","第30周"),
        ITEM_31("31","第31周"),
        ITEM_32("32","第32周"),
        ITEM_33("33","第33周"),
        ITEM_34("34","第34周"),
        ITEM_35("35","第35周"),
        ITEM_36("36","第36周"),
        ITEM_37("37","第37周"),
        ITEM_38("38","第38周"),
        ITEM_39("39","第39周"),
        ITEM_40("40","第40周"),
        ITEM_41("41","第41周"),
        ITEM_42("42","第42周"),
        ITEM_43("43","第43周"),
        ITEM_44("44","第44周"),
        ITEM_45("45","第45周"),
        ITEM_46("46","第46周"),
        ITEM_47("47","第47周"),
        ITEM_48("48","第48周"),
        ITEM_49("49","第49周"),
        ITEM_50("50","第50周"),
        ITEM_51("51","第51周"),
        ITEM_52("52","第52周");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList84(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[试用期（试用期规则）]
     */
    @Getter
    public enum EhrCodeList0085 {
        ITEM_1("1","1个月"),
        ITEM_2("2","2个月"),
        ITEM_6("6","6个月");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0085(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[消息类型]
     */
    @Getter
    public enum CodeList29 {
        ITEM_1("1","系统消息"),
        ITEM_2("2","电子邮件"),
        ITEM_4("4","手机短信"),
        ITEM_8("8","MSN消息"),
        ITEM_16("16","检务通消息"),
        ITEM_32("32","微信");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList29(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据库触发器操作]
     */
    @Getter
    public enum CodeList65 {
        BEFORE("BEFORE","Before"),
        AFTER("AFTER","After"),
        INSTEADOF("INSTEADOF","Instead of");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList65(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[审核状态]
     */
    @Getter
    public enum EhrCodeList0087 {
        ITEM_1("1","待审核"),
        ITEM_2("2","审核中"),
        ITEM_3("3","审核通过"),
        ITEM_4("4","审核未通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0087(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[启停标识]
     */
    @Getter
    public enum EhrCodeList0086 {
        ITEM_1("1","启用"),
        ITEM_0("0","停用");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0086(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[讲师等级]
     */
    @Getter
    public enum EhrCodeList0032 {
        ITEM_5("5","教授级"),
        ITEM_10("10","高级"),
        ITEM_20("20","中级"),
        ITEM_30("30","初级");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0032(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[表单嵌入表格工具栏能力]
     */
    @Getter
    public enum CodeList77 {
        INSERT("INSERT","新建"),
        UPDATE("UPDATE","更新"),
        DELETE("DELETE","删除"),
        ROWEDIT("ROWEDIT","启用行编辑");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList77(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[省/市]
     */
    @Getter
    public enum EhrCodeList0042 {
        ITEM_10("10","省"),
        ITEM_20("20","市");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0042(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[当前状态（员工编号变更使用）]
     */
    @Getter
    public enum EhrCodeList0099 {
        ITEM_10("10","待上报"),
        ITEM_20("20","待局总部审核"),
        ITEM_30("30","局总部审核不通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0099(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[页面处理逻辑类型]
     */
    @Getter
    public enum CodeList70 {
        AFTERINITPAGEPARAM("AFTERINITPAGEPARAM","页面变量初始化之后");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList70(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[参照职务层级]
     */
    @Getter
    public enum EhrCodeList0163 {
        ITEM_1("1","局级机关"),
        ITEM_2("2","公司级机关"),
        ITEM_3("3","经理部机关"),
        ITEM_4("4","项目部");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0163(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[日期类型]
     */
    @Getter
    public enum CodeList48 {
        ITEM_1("1","每周"),
        ITEM_2("2","每月");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList48(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[培训需求通知类型]
     */
    @Getter
    public enum EhrCodeList0230 {
        ITEM_10("10","集团级"),
        ITEM_20("20","公司级");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0230(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[房间类型]
     */
    @Getter
    public enum EhrCodeList0112 {
        ITEM_10("10","标间"),
        ITEM_20("20","大床房"),
        ITEM_30("30","套房");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0112(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[挂职状态（人员模块）]
     */
    @Getter
    public enum EhrCodeList0228 {
        ITEM_10("10","挂职进"),
        ITEM_20("20","挂职出");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0228(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[满足条件]
     */
    @Getter
    public enum EhrCodeList0225 {
        ITEM_1("1","全符合"),
        ITEM_2("2","学科不符合"),
        ITEM_3("3","学校不符合"),
        ITEM_4("4","全不符合");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0225(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[用户对象类型]
     */
    @Getter
    public enum CodeList5 {
        USER("USER","用户"),
        USERGROUP("USERGROUP","用户组");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList5(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[考勤范围]
     */
    @Getter
    public enum EhrCodeList0148 {
        ITEM_100(100,"100米"),
        ITEM_200(200,"200米"),
        ITEM_300(300,"300米"),
        ITEM_400(400,"400米"),
        ITEM_500(500,"500米");

        private int value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0148(int value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[DA日志操作类型]
     */
    @Getter
    public enum CodeList24 {
        CREATE("CREATE","新建"),
        UPDATE("UPDATE","更新"),
        DELETE("DELETE","删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList24(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[脚本功能]
     */
    @Getter
    public enum CodeList114 {
        ITEM_1("1","基础"),
        ITEM_128("128","树视图常规"),
        ITEM_2("2","树视图高级"),
        ITEM_4("4","TAB视图"),
        ITEM_8("8","动态面板"),
        ITEM_16("16","搜索面板"),
        ITEM_32("32","表格视图常规"),
        ITEM_64("64","表格视图高级"),
        ITEM_256("256","数据视图");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList114(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体快捷应用范围]
     */
    @Getter
    public enum CodeList41 {
        ITEM_1("1","拾取链接");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList41(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[教育经费类型]
     */
    @Getter
    public enum EhrCodeList0067 {
        ITEM_10("10","培训经费"),
        ITEM_20("20","考试经费"),
        ITEM_30("30","个人外出培训经费");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0067(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[机关项目分布]
     */
    @Getter
    public enum EhrCodeList0083 {
        ITEM_1("1","局机关"),
        ITEM_2("2","二级单位"),
        ITEM_3("3","地区机关"),
        ITEM_4("4","项目人员");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0083(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体规则处理_操作逻辑]
     */
    @Getter
    public enum CodeList111 {
        EQ("=","等于"),
        LTGT("<>","不等于"),
        GTEQ(">=","大于等于"),
        GT(">","大于"),
        LTEQ("<=","小于等于"),
        LT("<","小于"),
        LIKE("LIKE","文本匹配"),
        ISNULL("ISNULL","为空"),
        ISNOTNULL("ISNOTNULL","不为空");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList111(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[奖励级别]
     */
    @Getter
    public enum EhrCodeList0027 {
        ITEM_10("10","一等奖"),
        ITEM_20("20","二等奖"),
        ITEM_30("30","三等奖"),
        ITEM_40("40","其他");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0027(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[是否（TRUE，FALSE）]
     */
    @Getter
    public enum EhrCodeList0223 {
        TRUE("TRUE","是"),
        FALSE("FALSE","否");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0223(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[预定义属性类型]
     */
    @Getter
    public enum CodeList34 {
        LOGICVALID("LOGICVALID","逻辑有效标识"),
        CREATEMAN("CREATEMAN","建立人"),
        CREATEDATE("CREATEDATE","建立时间"),
        UPDATEMAN("UPDATEMAN","更新人"),
        UPDATEDATE("UPDATEDATE","更新时间"),
        ORGUNITID("ORGUNITID","组织单元标识"),
        ORGUNITNAME("ORGUNITNAME","组织单元名称");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList34(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }





    /**
     * 代码表[合同状态]
     */
    @Getter
    public enum EhrCodeList0030 {
        ITEM_20("20","存续期"),
        ITEM_30("30","已过期"),
        ITEM_50("50","已终止"),
        ITEM_40("40","已续签");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0030(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[绩效考核类型]
     */
    @Getter
    public enum EhrCodeList0092 {
        ITEM_10("10","月度"),
        ITEM_20("20","季度"),
        ITEM_30("30","半年度"),
        ITEM_40("40","年度");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0092(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[退出原因]
     */
    @Getter
    public enum EhrCodeList0069 {
        ITEM_10("10","超过要求年龄"),
        ITEM_20("20","绩效成绩不达标"),
        ITEM_30("30","身体情况不符合"),
        ITEM_40("40","受到处分"),
        ITEM_50("50","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0069(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[拟用人员变更状态]
     */
    @Getter
    public enum EhrCodeList0090 {
        ITEM_10("10","未变更"),
        ITEM_20("20","变更审批中"),
        ITEM_30("30","变更审批通过"),
        ITEM_40("40","变更审批不通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0090(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[列编辑器样式]
     */
    @Getter
    public enum CodeList28 {
        DROPDOWNLIST("DROPDOWNLIST","下拉列表框"),
        PICKER("PICKER","数据选择框");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList28(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[员工薪酬状态]
     */
    @Getter
    public enum EhrCodeList0074 {
        ITEM_10("10","待确认"),
        ITEM_20("20","已确认"),
        ITEM_30("30","已取消");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0074(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据通知_时间条件]
     */
    @Getter
    public enum CodeList62 {
        BEFORE("BEFORE","之前"),
        AFTER("AFTER","之后");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList62(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[网页部件类型]
     */
    @Getter
    public enum CodeList6 {
        CHART("CHART","图形部件"),
        LIST("LIST","列表"),
        CUSTOMWP("CUSTOMWP","自定义");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList6(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[年度（2019～2030）]
     */
    @Getter
    public enum EhrCodeList0009 {
        ITEM_2019("2019","2019年"),
        ITEM_2020("2020","2020年"),
        ITEM_2021("2021","2021年"),
        ITEM_2022("2022","2022年"),
        ITEM_2023("2023","2023年"),
        ITEM_2024("2024","2024年"),
        ITEM_2025("2025","2025年"),
        ITEM_2026("2026","2026年"),
        ITEM_2027("2027","2027年"),
        ITEM_2028("2028","2028年"),
        ITEM_2029("2029","2029年"),
        ITEM_2030("2030","2030年");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0009(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[学历类型（见习生规则）]
     */
    @Getter
    public enum EhrCodeList0206 {
        ITEM_10("10","本科（含）以下"),
        ITEM_20("20","硕士"),
        ITEM_30("30","博士");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0206(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[星期（1～7）]
     */
    @Getter
    public enum CodeList46 {
        ITEM_2("2","星期一"),
        ITEM_3("3","星期二"),
        ITEM_4("4","星期三"),
        ITEM_5("5","星期四"),
        ITEM_6("6","星期五"),
        ITEM_7("7","星期六"),
        ITEM_1("1","星期日");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList46(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[DA日志对象类型]
     */
    @Getter
    public enum CodeList23 {
        DATAENTITY("DATAENTITY","实体"),
        DEFIELD("DEFIELD","实体属性"),
        DER1N("DER1N","实体关系");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList23(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[目标类型（助理总经理级）]
     */
    @Getter
    public enum EhrCodeList0199 {
        ITEM_10("10","引领目标"),
        ITEM_20("20","服务目标"),
        ITEM_30("30","管理监督目标");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0199(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[计划状态]
     */
    @Getter
    public enum EhrCodeList0157 {
        ITEM_0("0","待执行"),
        ITEM_1("1","已到岗"),
        ITEM_2("2","已释放");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0157(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[月周（1～5）]
     */
    @Getter
    public enum CodeList86 {
        ITEM_1("1","1周"),
        ITEM_2("2","2周"),
        ITEM_3("3","3周"),
        ITEM_4("4","4周"),
        ITEM_5("5","5周");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList86(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目类型]
     */
    @Getter
    public enum EhrCodeList0133 {
        ITEM_10("10","工程总承包"),
        ITEM_20("20","施工总承包"),
        ITEM_30("30","专业承包"),
        ITEM_40("40","其他");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0133(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据库操作]
     */
    @Getter
    public enum CodeList89 {
        INSERT("INSERT","插入"),
        UPDATE("UPDATE","更新"),
        DELETE("DELETE","删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList89(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[部门类型（组织管理）]
     */
    @Getter
    public enum EhrCodeList0019 {
        ITEM_10("10","机关部门"),
        ITEM_20("20","项目部门");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0019(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体属性更新模式]
     */
    @Getter
    public enum CodeList2 {
        VERSION("VERSION","版本模式");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList2(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[异动提醒通知角色类型]
     */
    @Getter
    public enum EhrCodeList0002 {
        ITEM_1(1,"考勤专员"),
        ITEM_2(2,"薪酬专员"),
        ITEM_4(4,"社保福利专员"),
        ITEM_8(8,"档案管理员"),
        ITEM_16(16,"人事专员");

        private int value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0002(int value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[属性引用关系类型]
     */
    @Getter
    public enum CodeList90 {
        DER1N("DER1N","1:N关系"),
        DERCUSTOM("DERCUSTOM","自定义关系");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList90(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[花名册中干部试岗状态]
     */
    @Getter
    public enum EhrCodeList0060 {
        ITEM_0("0","任职中"),
        ITEM_1("1","试岗中");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0060(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[目标类型（职能部门级）]
     */
    @Getter
    public enum EhrCodeList0101 {
        ITEM_10("10","公司战略分解类"),
        ITEM_20("20","部门职责类"),
        ITEM_30("30","部门协作类"),
        ITEM_40("40","通用指标类");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0101(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体归属]
     */
    @Getter
    public enum CodeList19 {
        SRFDA("SRFDA","系统"),
        APPLICATION("APPLICATION","应用"),
        USER("USER","用户");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList19(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[DB2触发器代码模式]
     */
    @Getter
    public enum CodeList67 {
        FOR_EACH_ROW("For Each Row","For Each Row"),
        FOR_EACH_STATEMENT("For Each Statement","For Each Statement");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList67(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[周期<绩效管理使用>]
     */
    @Getter
    public enum EhrCodeList0076 {
        ITEM_10("10","上半年度"),
        ITEM_20("20","下半年度"),
        ITEM_30("30","年度");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0076(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[人力序列类型]
     */
    @Getter
    public enum EhrCodeList0012 {
        GL("GL","管理序列"),
        GW("GW","顾问序列"),
        ZY("ZY","专业序列"),
        CZ("CZ","操作序列");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0012(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[功能类型]
     */
    @Getter
    public enum CodeList4 {
        DEDATAGRID("DEDATAGRID","默认实体表格视图"),
        PAGELINK("PAGELINK","页面链接"),
        JSCODE("JSCODE","纯JS代码"),
        DEGRIDVIEW("DEGRIDVIEW","指定实体表格视图"),
        PAGE("PAGE","内置页面");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList4(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[变更类型]
     */
    @Getter
    public enum EhrCodeList0232 {
        ITEM_10("10","更新"),
        ITEM_20("20","更正"),
        ITEM_30("30","删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0232(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目部类型]
     */
    @Getter
    public enum EhrCodeList0178 {
        ITEM_10("10","项目部"),
        ITEM_20("20","子项目部");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0178(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[评估对象]
     */
    @Getter
    public enum EhrCodeList0405 {
        ITEM_10("10","培训课程"),
        ITEM_20("20","培训讲师"),
        ITEM_30("30","培训机构"),
        ITEM_40("40","培训设施"),
        ITEM_50("50","其他");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0405(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[输入辅助_消息模板宏]
     */
    @Getter
    public enum CodeList102 {
        CARETTEMPLGROUP_SRFMSG_MSGTEMPLATE("CARETTEMPLGROUP_SRFMSG_MSGTEMPLATE","消息模板"),
        CARETTEMPLGROUP_SRFDA_FILLENTITYPARAM("CARETTEMPLGROUP_SRFDA_FILLENTITYPARAM","系统属性");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList102(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[季度]
     */
    @Getter
    public enum EhrCodeList0177 {
        ITEM_10("10","第一季度"),
        ITEM_20("20","第二季度"),
        ITEM_30("30","第三季度"),
        ITEM_40("40","第四季度");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0177(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[代码表或模式]
     */
    @Getter
    public enum CodeList20 {
        NUMBERORMODE("NUMBERORMODE","数字或处理"),
        STRINGORMODE("STRINGORMODE","文本或模式");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList20(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[档案保管地]
     */
    @Getter
    public enum EhrCodeList0040 {
        ITEM_10("10","局总部"),
        ITEM_20("20","公司本部"),
        ITEM_30("30","其他");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0040(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[是否（蓝、红）]
     */
    @Getter
    public enum CodeList50 {
        ITEM_1("1","是"),
        ITEM_0("0","否");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList50(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[表格列构建器]
     */
    @Getter
    public enum CodeList9 {
        NUMBER("NUMBER","数值"),
        CODELIST("CODELIST","代码表");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList9(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[招聘信息类型]
     */
    @Getter
    public enum EhrCodeList0197 {
        XYZP("10","校园招聘"),
        SHZP("20","社会招聘"),
        NBZP("30","内部招聘");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0197(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[在岗状态（人员模块）]
     */
    @Getter
    public enum EhrCodeList0179 {
        ITEM_10("10","在岗"),
        ITEM_20("20","离岗");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0179(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[工作日类型]
     */
    @Getter
    public enum CodeList45 {
        ITEM_1("1","工作日"),
        ITEM_2("2","非工作日"),
        ITEM_3("3","自定义工作日");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList45(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[扩展表格单元格水平对齐方式]
     */
    @Getter
    public enum CodeList74 {
        LEFT("LEFT","左对齐"),
        CENTER("CENTER","居中"),
        RIGHT("RIGHT","右对齐");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList74(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[考勤月报状态]
     */
    @Getter
    public enum EhrCodeList0100 {
        ITEM_5("5","待生成"),
        ITEM_10("10","待确认"),
        ITEM_20("20","已确认");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0100(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目人力业务状态]
     */
    @Getter
    public enum EhrCodeList0202 {
        ITEM_10("10","拟稿"),
        ITEM_20("20","审批中"),
        ITEM_30("30","审批通过"),
        ITEM_40("40","审批不通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0202(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[文件编码]
     */
    @Getter
    public enum CodeList39 {
        ANSI("ANSI","ANSI"),
        UTF_SUB_8("UTF-8","UTF-8");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList39(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[输入辅助_控件参数]
     */
    @Getter
    public enum CodeList101 {
        CARETTEMPLGROUP_SRFDA_CONTROLPARAM("CARETTEMPLGROUP_SRFDA_CONTROLPARAM","控件基本参数"),
        CARETTEMPLGROUP_SRFDA_CONTROLPARAM_CARET("CARETTEMPLGROUP_SRFDA_CONTROLPARAM_CARET","辅助输入控件参数"),
        CARETTEMPLGROUP_SRFDA_CONTROLPARAM_PICKUP("CARETTEMPLGROUP_SRFDA_CONTROLPARAM_PICKUP","选择控件参数"),
        CARETTEMPLGROUP_SRFDA_CONTROLPARAM_TEXTBOX("CARETTEMPLGROUP_SRFDA_CONTROLPARAM_TEXTBOX","文本控件参数"),
        CARETTEMPLGROUP_SRFDA_CONTROLPARAM_PICKUPLISTBOX("CARETTEMPLGROUP_SRFDA_CONTROLPARAM_PICKUPLISTBOX","选择列表控件参数");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList101(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体属性表单默认值类型]
     */
    @Getter
    public enum CodeList3 {
        SESSION("SESSION","用户全局对象"),
        APPLICATION("APPLICATION","系统全局对象"),
        UNIQUEID("UNIQUEID","唯一编码"),
        CONTEXT("CONTEXT","网页请求"),
        PARAM("PARAM","数据对象属性"),
        OPERATOR("OPERATOR","当前操作用户(编号)"),
        OPERATORNAME("OPERATORNAME","当前操作用户(名称)"),
        CURTIME("CURTIME","当前时间");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList3(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体属性插入模式]
     */
    @Getter
    public enum CodeList1 {
        VERSION("VERSION","版本模式");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList1(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[出（国）境业务状态]
     */
    @Getter
    public enum EhrCodeList0106 {
        ITEM_10("10","拟稿"),
        ITEM_20("20","审批中"),
        ITEM_30("30","已通过"),
        ITEM_40("40","已驳回"),
        ITEM_50("50","已取消");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0106(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[日志级别]
     */
    @Getter
    public enum CodeList32 {
        ITEM_50000("50000","致命(FATAL)"),
        ITEM_40000("40000","错误(ERROR)"),
        ITEM_30000("30000","警告(WARN)"),
        ITEM_20000("20000","信息(INFO)"),
        ITEM_10000("10000","调试(DEBUG)"),
        ITEM_5000("5000","调试(TRACE)");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList32(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[时间维度类型]
     */
    @Getter
    public enum CodeList87 {
        YM("YM","年、月"),
        YMW("YMW","年、月、周"),
        YMWD("YMWD","年、月、周、天"),
        YMWDH("YMWDH","年、月、周、天、小时"),
        YMD("YMD","年、月、天"),
        YMDH("YMDH","年、月、天、小时"),
        YW("YW","年、周"),
        YWD("YWD","年、周、天"),
        YWDH("YWDH","年、周、天、小时");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList87(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[人员信息记录审批状态]
     */
    @Getter
    public enum EhrCodeList0138 {
        ITEM_10("10","正常"),
        ITEM_20("20","待新增审批"),
        ITEM_30("30","待删除审批"),
        ITEM_40("40","待更新审批"),
        ITEM_50("50","已拒绝");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0138(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[工期安排]
     */
    @Getter
    public enum EhrCodeList0008 {
        ITEM_10("10","①施工前期准备阶段："),
        ITEM_20("20","②基础施工阶段："),
        ITEM_30("30","③主体施工阶段："),
        ITEM_40("40","④装饰装修阶段："),
        ITEM_50("50","⑤工程扫尾阶段："),
        ITEM_60("60","⑥工程结算阶段：");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0008(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[工作状态]
     */
    @Getter
    public enum EhrCodeList0123 {
        ITEM_10("10","可调配"),
        ITEM_20("20","不可调配");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0123(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[费用类别]
     */
    @Getter
    public enum EhrCodeList0162 {
        ITEM_10("10","老干部活动费"),
        ITEM_20("20","津补贴"),
        ITEM_30("30","企业效益奖金"),
        ITEM_40("40","体检费"),
        ITEM_50("50","医疗费"),
        ITEM_60("60","其他费用（备注明细）");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0162(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[物理信息更新模式]
     */
    @Getter
    public enum CodeList57 {
        UPDATEWHENMODIFY("UPDATEWHENMODIFY","变更时更新");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList57(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[国别]
     */
    @Getter
    public enum EhrCodeList0218 {
        ITEM_10("10","中国"),
        ITEM_20("20","美国"),
        ITEM_30("30","英国"),
        ITEM_40("40","法国"),
        ITEM_50("50","日本"),
        ITEM_60("60","德国"),
        ITEM_70("70","俄罗斯");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0218(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[指标类型（月度工作计划）]
     */
    @Getter
    public enum EhrCodeList0207 {
        A("A","A"),
        B("B","B"),
        C("C","C");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0207(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[招聘审批意见原因]
     */
    @Getter
    public enum EhrCodeList0037 {
        ITEM_10("10","履历信息不符合要求"),
        ITEM_20("20","证书扫描件不符合要求"),
        ITEM_30("30","学历不符合要求"),
        ITEM_40("40","资料不完善"),
        ITEM_45("45","附件以jpg、png格式上传"),
        ITEM_46("46","明确拟录用岗位及项目"),
        ITEM_47("47","岗位安排不符合要求"),
        ITEM_50("50","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0037(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[获奖等级]
     */
    @Getter
    public enum EhrCodeList0152 {
        ITEM_80("80","学校校级"),
        ITEM_90("90","学校院级"),
        ITEM_10("10","国家级"),
        ITEM_20("20","省（自治区、直辖市）级"),
        ITEM_30("30","部委级"),
        ITEM_40("40","地（市、厅）级"),
        ITEM_50("50","区（县）级"),
        ITEM_60("60","基层单位"),
        ITEM_70("70","国际国外");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0152(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[明细条目状态]
     */
    @Getter
    public enum EhrCodeList0121 {
        ITEM_10("10","生效"),
        ITEM_20("20","修改"),
        ITEM_30("30","失效");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0121(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[统一资源类型]
     */
    @Getter
    public enum CodeList16 {
        PAGE("PAGE","内置页面"),
        REPORT("REPORT","报表"),
        CUSTOM("CUSTOM","自定义");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList16(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[班级状态]
     */
    @Getter
    public enum EhrCodeList0017 {
        ITEM_10("10","立项中"),
        ITEM_20("20","已立项"),
        ITEM_30("30","已开班"),
        ITEM_40("40","已取消"),
        ITEM_50("50","已关闭");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0017(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[缩略界面类型]
     */
    @Getter
    public enum CodeList7 {
        FORM("FORM","表单"),
        PAGE("PAGE","内置页面");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList7(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[环境状况]
     */
    @Getter
    public enum EhrCodeList0161 {
        ITEM_10("10","优秀"),
        ITEM_20("20","良好"),
        ITEM_30("30","一般"),
        ITEM_40("40","差");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0161(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[有无（通用）]
     */
    @Getter
    public enum EhrCodeList0222 {
        ITEM_0("0","无"),
        ITEM_1("1","有");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0222(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[紧急程度]
     */
    @Getter
    public enum EhrCodeList0055 {
        ITEM_10("10","一般"),
        ITEM_20("20","紧急"),
        ITEM_30("30","特急");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0055(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[档级（绩效管理）]
     */
    @Getter
    public enum EhrCodeList0215 {
        ITEM_1("1","一级"),
        ITEM_2("2","二级"),
        ITEM_3("3","三级"),
        ITEM_4("4","四级"),
        ITEM_5("5","五级"),
        ITEM_6("6","六级"),
        ITEM_7("7","七级"),
        ITEM_8("8","八级"),
        ITEM_9("9","九级"),
        ITEM_10("10","十级");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0215(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[审核规则_员工类型]
     */
    @Getter
    public enum EhrCodeList0048 {
        ITEM_1000("1000","需审核"),
        ITEM_2000("2000","不需审核");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0048(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[节假日类型]
     */
    @Getter
    public enum EhrCodeList0052 {
        ITEM_10("10","法定节假日"),
        ITEM_20("20","年休假"),
        ITEM_30("30","调休上班");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0052(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[应聘者状态（人力上报）]
     */
    @Getter
    public enum EhrCodeList0062 {
        ITEM_10("10","待上报"),
        ITEM_20("20","待局总部审批"),
        ITEM_30("30","局总部审批不通过"),
        ITEM_40("40","待审批编号");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0062(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[是否（红、黑）]
     */
    @Getter
    public enum EhrCodeList0181 {
        ITEM_1(1,"是"),
        ITEM_0(0,"否");

        private int value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0181(int value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[周期时间类型]
     */
    @Getter
    public enum CodeList40 {
        MONTH("MONTH","月度"),
        SEASON("SEASON","季度"),
        WEEK("WEEK","周"),
        DAY("DAY","天");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList40(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[上下午（通用）]
     */
    @Getter
    public enum EhrCodeList0110 {
        ITEM_10("10","上午"),
        ITEM_20("20","下午");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0110(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[实体数据操作]
     */
    @Getter
    public enum CodeList10 {
        INSERT("INSERT","插入"),
        UPDATE("UPDATE","更新"),
        DELETE("DELETE","删除"),
        SELECT("SELECT","简单查询"),
        CUSTOMCALL("CUSTOMCALL","自定义"),
        CUSTOMPROCCALL("CUSTOMPROCCALL","自定义存储过程");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList10(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[工作日（周1-周日）]
     */
    @Getter
    public enum EhrCodeList0224 {
        ITEM_1("1","周一"),
        ITEM_2("2","周二"),
        ITEM_3("3","周三"),
        ITEM_4("4","周四"),
        ITEM_5("5","周五"),
        ITEM_6("6","周六"),
        ITEM_7("7","周日");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0224(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[休假类型（静态）]
     */
    @Getter
    public enum EhrCodeList0103 {
        ITEM_10("10","事假"),
        ITEM_20("20","探亲假"),
        ITEM_30("30","结婚假"),
        ITEM_40("40","丧葬假"),
        ITEM_50("50","孕期假"),
        ITEM_60("60","产假"),
        ITEM_70("70","陪产假"),
        ITEM_80("80","哺乳假"),
        ITEM_90("90","病假"),
        ITEM_100("100","工伤假"),
        ITEM_110("110","年休假"),
        ITEM_120("120","调休假");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0103(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[补丁归属]
     */
    @Getter
    public enum CodeList36 {
        ITEM_1("1","框架基本"),
        ITEM_2("2","框架高级"),
        ITEM_4("4","工作流"),
        ITEM_8("8","EAI"),
        ITEM_16("16","UAC"),
        ITEM_32("32","全文检索"),
        ITEM_64("64","数据分析"),
        ITEM_128("128","基础网盘"),
        ITEM_256("256","基础组织");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList36(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[动态面板分区缩放样式]
     */
    @Getter
    public enum CodeList93 {
        EXPAND("EXPAND","展开"),
        COLLAPSE("COLLAPSE","收缩");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList93(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[时间分组类型]
     */
    @Getter
    public enum CodeList92 {
        Q("Q","季度"),
        M("M","月份"),
        D("D","月天"),
        H("H","小时");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList92(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[实体数据处理_数据对象操作]
     */
    @Getter
    public enum CodeList107 {
        CREATENEW("CREATENEW","新建数据对象"),
        CREATEFROM("CREATEFROM","拷贝新建数据对象"),
        COPY("COPY","拷贝数据对象"),
        COPYRESET("COPYRESET","拷贝数据对象(重置)");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList107(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[发布状态]
     */
    @Getter
    public enum EhrCodeList0402 {
        ITEM_10("10","待发布"),
        ITEM_20("20","已发布");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0402(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[实体属性访问控制]
     */
    @Getter
    public enum CodeList88 {
        NONE("NONE","无"),
        READ("READ","读取"),
        UPDATE("UPDATE","更新");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList88(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[入职类别（其它招聘）]
     */
    @Getter
    public enum EhrCodeList0071 {
        ITEM_40("40","建筑系统调入"),
        ITEM_60("60","军人安置"),
        ITEM_90("90","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0071(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[灯光设备]
     */
    @Getter
    public enum EhrCodeList0010 {
        ITEM_10("10","电脑灯"),
        ITEM_30("30","追光灯"),
        ITEM_40("40","地排灯"),
        ITEM_50("50","激光灯"),
        ITEM_20("20","PAR灯");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0010(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目用途（ERP项目管理）]
     */
    @Getter
    public enum EhrCodeList0006 {
        ITEM_10("10","房地产"),
        ITEM_20("20","酒店"),
        ITEM_30("30","机场");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0006(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[职级类型]
     */
    @Getter
    public enum EhrCodeList0200 {
        ITEM_10("10","C1"),
        ITEM_30("30","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0200(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[应聘者状态]
     */
    @Getter
    public enum EhrCodeList0203 {
        ITEM_10("10","录入"),
        ITEM_15("15","待公司初审"),
        ITEM_20("20","公司初审不通过"),
        ITEM_21("21","待公司董事长审批"),
        ITEM_22("22","公司董事长不通过"),
        ITEM_25("25","待上报"),
        ITEM_30("30","待总部初审"),
        ITEM_50("50","总部初审不通过"),
        ITEM_55("55","待总部审核"),
        ITEM_58("58","总部审核通过"),
        ITEM_60("60","总部审核不通过"),
        ITEM_61("61","待总部审批"),
        ITEM_62("62","待审批编号"),
        ITEM_63("63","总部审批不通过"),
        ITEM_65("65","待报到"),
        ITEM_70("70","已报到"),
        ITEM_80("80","逾期未报到"),
        ITEM_90("90","失效");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0203(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[年龄分布]
     */
    @Getter
    public enum EhrCodeList0056 {
        ITEM_55("55","55岁以上"),
        ITEM_51("51","51~55岁"),
        ITEM_46("46","46~50岁"),
        ITEM_41("41","41~45岁"),
        ITEM_36("36","36~40岁"),
        ITEM_31("31","31~35岁"),
        ITEM_30("30","30岁以下");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0056(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[应聘者状态（拟录用人员搜索使用）]
     */
    @Getter
    public enum EhrCodeList0078 {
        ITEM_65("65","待报到"),
        ITEM_70("70","已报到"),
        ITEM_80("80","逾期未报到");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0078(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[机制（刚性、柔性）]
     */
    @Getter
    public enum EhrCodeList0156 {
        ITEM_10("10","刚性"),
        ITEM_20("20","柔性");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0156(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[证书类型]
     */
    @Getter
    public enum EhrCodeList0109 {
        ITEM_10("10","执（职）业资格证书"),
        ITEM_5("5","岗位（技能）证书");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0109(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[实体存储类型]
     */
    @Getter
    public enum CodeList80 {
        STATIC("STATIC","静态存储"),
        DYNAMIC("DYNAMIC","动态存储"),
        NONE("NONE","无存储");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList80(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[图表控件_表格位置]
     */
    @Getter
    public enum CodeList52 {
        NONE("NONE","无表格"),
        TOPLEFT("TOPLEFT","上左"),
        TOP("TOP","上中"),
        TOPRIGHT("TOPRIGHT","上右"),
        BOTTOMLEFT("BOTTOMLEFT","下左"),
        BOTTOM("BOTTOM","下中"),
        BOTTOMRIGHT("BOTTOMRIGHT","下右"),
        LEFTTOP("LEFTTOP","左上"),
        LEFT("LEFT","左中"),
        LEFTBOTTOM("LEFTBOTTOM","左下"),
        RIGHTTOP("RIGHTTOP","右上"),
        RIGHT("RIGHT","右中"),
        RIGHTBOTTOM("RIGHTBOTTOM","右下");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList52(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[字段排序方向]
     */
    @Getter
    public enum EhrCodeList0214 {
        ASC("ASC","升序"),
        DESC("DESC","降序");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0214(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[日历、邮件重要程度]
     */
    @Getter
    public enum CodeList8 {
        HIGH("HIGH","高"),
        NORMAL("NORMAL","普通"),
        LOW("LOW","低");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList8(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[转正类型]
     */
    @Getter
    public enum EhrCodeList0021 {
        ITEM_10("10","B/Y类员工转正"),
        ITEM_20("20","试用期员工转正"),
        ITEM_30("30","见习期员工转正");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0021(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[输入辅助_实体处理逻辑代码]
     */
    @Getter
    public enum CodeList103 {
        CARETTEMPLGROUP_SRFDA_DEDCCONTEXT("CARETTEMPLGROUP_SRFDA_DEDCCONTEXT","实体处理逻辑引擎"),
        CARETTEMPLGROUP_SRFDA_DEACTION("CARETTEMPLGROUP_SRFDA_DEACTION","实体属性操作");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList103(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[高校类别]
     */
    @Getter
    public enum EhrCodeList0105 {
        ITEM_10("10","985高校"),
        ITEM_20("20","211高校"),
        ITEM_30("30","普通高校");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0105(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[系统错误代码]
     */
    @Getter
    public enum CodeList35 {
        ITEM_0("0","正确(0)"),
        ITEM_1("1","内部发生错误(INTERNALERROR)"),
        ITEM_2("2","访问被拒绝(ACCESSDENY)"),
        ITEM_3("3","无效的数据(INVALIDDATA)"),
        ITEM_4("4","无效的数据键(INVALIDDATAKEYS)"),
        ITEM_5("5","输入的信息有误(INPUTERROR)"),
        ITEM_6("6","重复的数据键值(DUPLICATEKEY)"),
        ITEM_7("7","重复的数据(DUPLICATEDATA)"),
        ITEM_8("8","删除拒绝(DELETEREJECT)"),
        ITEM_9("9","逻辑处理错误(LOGICERROR)");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList35(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[问题状态]
     */
    @Getter
    public enum EhrCodeList0238 {
        ITEM_10("10","待处理"),
        ITEM_20("20","处理中"),
        ITEM_30("30","待确认"),
        ITEM_40("40","已确认"),
        ITEM_50("50","确认未通过"),
        ITEM_60("60","已关闭");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0238(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[人员信息记录操作者]
     */
    @Getter
    public enum EhrCodeList0118 {
        ACTION("ACTION","执行"),
        UNACTION("UNACTION","不执行");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0118(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[语言资源类型]
     */
    @Getter
    public enum CodeList55 {
        DEF_LNAME("DEF.LNAME","实体属性逻辑名称"),
        CL_ITEM_LNAME("CL.ITEM.LNAME","代码表项"),
        TBB_TEXT("TBB.TEXT","工具栏按钮文本"),
        TBB_TOOLTIP("TBB.TOOLTIP","工具栏按钮提示"),
        MENUITEM_CAPTION("MENUITEM.CAPTION","菜单项文本"),
        PAGE_HEADER("PAGE.HEADER","界面头部标题"),
        PAGE_COMMON("PAGE.COMMON","界面常规"),
        CONTROL("CONTROL","控件文本"),
        ERROR_STD("ERROR.STD","标准错误"),
        CTRL("CTRL","处理逻辑"),
        COMMON("COMMON","通用"),
        OTHER("OTHER","其它");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList55(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[办公设备]
     */
    @Getter
    public enum EhrCodeList0091 {
        ITEM_10("10","办公文具"),
        ITEM_20("20","复印机"),
        ITEM_30("30","打印机"),
        ITEM_40("40","扫描仪");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0091(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[特殊设备]
     */
    @Getter
    public enum EhrCodeList0189 {
        ITEM_10("10","同声传译机"),
        ITEM_20("20","舞台效果设备"),
        ITEM_30("30","会议环节特制设备"),
        ITEM_40("40","投票设备");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0189(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据库类型]
     */
    @Getter
    public enum CodeList33 {
        DB2("DB2","DB2"),
        ORACLE("ORACLE","ORACLE"),
        MSSQL("MSSQL","MSSQLSERVER"),
        MYSQL("MYSQL","MySQL"),
        SYBASE("SYBASE","SYBASE"),
        INFORMIX("INFORMIX","INFORMIX");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList33(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[年份（1980～2030）]
     */
    @Getter
    public enum EhrCodeList0053 {
        ITEM_1980("1980","1980年"),
        ITEM_1981("1981","1981年"),
        ITEM_1982("1982","1982年"),
        ITEM_1983("1983","1983年"),
        ITEM_1984("1984","1984年"),
        ITEM_1985("1985","1985年"),
        ITEM_1986("1986","1986年"),
        ITEM_1987("1987","1987年"),
        ITEM_1988("1988","1988年"),
        ITEM_1989("1989","1989年"),
        ITEM_1990("1990","1990年"),
        ITEM_1991("1991","1991年"),
        ITEM_1992("1992","1992年"),
        ITEM_1993("1993","1993年"),
        ITEM_1994("1994","1994年"),
        ITEM_1995("1995","1995年"),
        ITEM_1996("1996","1996年"),
        ITEM_1997("1997","1997年"),
        ITEM_1998("1998","1998年"),
        ITEM_1999("1999","1999年"),
        ITEM_2000("2000","2000年"),
        ITEM_2001("2001","2001年"),
        ITEM_2002("2002","2002年"),
        ITEM_2003("2003","2003年"),
        ITEM_2004("2004","2004年"),
        ITEM_2005("2005","2005年"),
        ITEM_2006("2006","2006年"),
        ITEM_2007("2007","2007年"),
        ITEM_2008("2008","2008年"),
        ITEM_2009("2009","2009年"),
        ITEM_2010("2010","2010年"),
        ITEM_2011("2011","2011年"),
        ITEM_2012("2012","2012年"),
        ITEM_2013("2013","2013年"),
        ITEM_2014("2014","2014年"),
        ITEM_2015("2015","2015年"),
        ITEM_2016("2016","2016年"),
        ITEM_2017("2017","2017年"),
        ITEM_2018("2018","2018年"),
        ITEM_2019("2019","2019年"),
        ITEM_2020("2020","2020年"),
        ITEM_2021("2021","2021年"),
        ITEM_2022("2022","2022年"),
        ITEM_2023("2023","2023年"),
        ITEM_2024("2024","2024年"),
        ITEM_2025("2025","2025年"),
        ITEM_2026("2026","2026年"),
        ITEM_2027("2027","2027年"),
        ITEM_2028("2028","2028年"),
        ITEM_2029("2029","2029年"),
        ITEM_2030("2030","2030年");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0053(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[层号]
     */
    @Getter
    public enum EhrCodeList0020 {
        ITEM_10("10","上"),
        ITEM_20("20","中"),
        ITEM_30("30","下");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0020(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[时区]
     */
    @Getter
    public enum CodeList59 {
        ETC_GMT_ADD_12("Etc/GMT+12","(UTC-12:00)GMT-12:00"),
        ETC_GMT_ADD_11("Etc/GMT+11","(UTC-11:00)GMT-11:00"),
        MIT("MIT","(UTC-11:00)West Samoa Time"),
        PACIFIC_MIDWAY("Pacific/Midway","(UTC-11:00)Samoa Standard Time"),
        PACIFIC_NIUE("Pacific/Niue","(UTC-11:00)Niue Time"),
        AMERICA_ADAK("America/Adak","(UTC-10:00)Hawaii-Aleutian Standard Time"),
        ETC_GMT_ADD_10("Etc/GMT+10","(UTC-10:00)GMT-10:00"),
        HST("HST","(UTC-10:00)Hawaii Standard Time"),
        PACIFIC_FAKAOFO("Pacific/Fakaofo","(UTC-10:00)Tokelau Time"),
        PACIFIC_RAROTONGA("Pacific/Rarotonga","(UTC-10:00)Cook Is. Time"),
        PACIFIC_TAHITI("Pacific/Tahiti","(UTC-10:00)Tahiti Time"),
        PACIFIC_MARQUESAS("Pacific/Marquesas","(UTC-9:00)Marquesas Time"),
        AST("AST","(UTC-9:00)Alaska Standard Time"),
        ETC_GMT_ADD_9("Etc/GMT+9","(UTC-9:00)GMT-09:00"),
        PACIFIC_GAMBIER("Pacific/Gambier","(UTC-9:00)Gambier Time"),
        AMERICA_DAWSON("America/Dawson","(UTC-8:00)Pacific Standard Time"),
        ETC_GMT_ADD_8("Etc/GMT+8","(UTC-8:00)GMT-08:00"),
        PACIFIC_PITCAIRN("Pacific/Pitcairn","(UTC-8:00)Pitcairn Standard Time"),
        AMERICA_BOISE("America/Boise","(UTC-7:00)Mountain Standard Time"),
        ETC_GMT_ADD_7("Etc/GMT+7","(UTC-7:00)GMT-07:00"),
        AMERICA_BELIZE("America/Belize","(UTC-6:00)Central Standard Time"),
        CHILE_EASTERISLAND("Chile/EasterIsland","(UTC-6:00)Easter Is. Time"),
        ETC_GMT_ADD_6("Etc/GMT+6","(UTC-6:00)GMT-06:00"),
        PACIFIC_GALAPAGOS("Pacific/Galapagos","(UTC-6:00)Galapagos Time"),
        AMERICA_ATIKOKAN("America/Atikokan","(UTC-5:00)Eastern Standard Time"),
        AMERICA_BOGOTA("America/Bogota","(UTC-5:00)Colombia Time"),
        AMERICA_EIRUNEPE("America/Eirunepe","(UTC-5:00)Acre Time"),
        AMERICA_GUAYAQUIL("America/Guayaquil","(UTC-5:00)Ecuador Time"),
        AMERICA_HAVANA("America/Havana","(UTC-5:00)Cuba Standard Time"),
        AMERICA_LIMA("America/Lima","(UTC-5:00)Peru Time"),
        ETC_GMT_ADD_5("Etc/GMT+5","(UTC-5:00)GMT-05:00"),
        AMERICA_CARACAS("America/Caracas","(UTC-4:00)Venezuela Time"),
        AMERICA_ANGUILLA("America/Anguilla","(UTC-4:00)Atlantic Standard Time"),
        AMERICA_ASUNCION("America/Asuncion","(UTC-4:00)Paraguay Time"),
        AMERICA_BOA_VISTA("America/Boa_Vista","(UTC-4:00)Amazon Time"),
        AMERICA_GUYANA("America/Guyana","(UTC-4:00)Guyana Time"),
        AMERICA_LA_PAZ("America/La_Paz","(UTC-4:00)Bolivia Time"),
        AMERICA_SANTIAGO("America/Santiago","(UTC-4:00)Chile Time"),
        ATLANTIC_STANLEY("Atlantic/Stanley","(UTC-4:00)Falkland Is. Time"),
        ETC_GMT_ADD_4("Etc/GMT+4","(UTC-4:00)GMT-04:00"),
        AMERICA_ST_JOHNS("America/St_Johns","(UTC-3:00)Newfoundland Standard Time"),
        AGT("AGT","(UTC-3:00)Argentine Time"),
        AMERICA_ARAGUAINA("America/Araguaina","(UTC-3:00)Brasilia Time"),
        AMERICA_CAYENNE("America/Cayenne","(UTC-3:00)French Guiana Time"),
        AMERICA_GODTHAB("America/Godthab","(UTC-3:00)Western Greenland Time"),
        AMERICA_MIQUELON("America/Miquelon","(UTC-3:00)Pierre & Miquelon Standard Time"),
        AMERICA_MONTEVIDEO("America/Montevideo","(UTC-3:00)Uruguay Time"),
        AMERICA_PARAMARIBO("America/Paramaribo","(UTC-3:00)Suriname Time"),
        ANTARCTICA_ROTHERA("Antarctica/Rothera","(UTC-3:00)Rothera Time"),
        ETC_GMT_ADD_3("Etc/GMT+3","(UTC-3:00)GMT-03:00"),
        AMERICA_NORONHA("America/Noronha","(UTC-2:00)Fernando de Noronha Time"),
        ATLANTIC_SOUTH_GEORGIA("Atlantic/South_Georgia","(UTC-2:00)South Georgia Standard Time"),
        ETC_GMT_ADD_2("Etc/GMT+2","(UTC-2:00)GMT-02:00"),
        AMERICA_SCORESBYSUND("America/Scoresbysund","(UTC-1:00)Eastern Greenland Time"),
        ATLANTIC_AZORES("Atlantic/Azores","(UTC-1:00)Azores Time"),
        ATLANTIC_CAPE_VERDE("Atlantic/Cape_Verde","(UTC-1:00)Cape Verde Time"),
        ETC_GMT_ADD_1("Etc/GMT+1","(UTC-1:00)GMT-01:00"),
        AFRICA_ABIDJAN("Africa/Abidjan","(UTC0:00)Greenwich Mean Time"),
        AFRICA_ACCRA("Africa/Accra","(UTC0:00)Ghana Mean Time"),
        AFRICA_CASABLANCA("Africa/Casablanca","(UTC0:00)Western European Time"),
        ETC_GMT("Etc/GMT","(UTC0:00)GMT+00:00"),
        ETC_UCT("Etc/UCT","(UTC0:00)Coordinated Universal Time"),
        AFRICA_ALGIERS("Africa/Algiers","(UTC+1:00)Central European Time"),
        AFRICA_BANGUI("Africa/Bangui","(UTC+1:00)Western African Time"),
        ETC_GMT_SUB_1("Etc/GMT-1","(UTC+1:00)GMT+01:00"),
        MET("MET","(UTC+1:00)Middle Europe Time"),
        ART("ART","(UTC+2:00)Eastern European Time"),
        AFRICA_BLANTYRE("Africa/Blantyre","(UTC+2:00)Central African Time"),
        AFRICA_JOHANNESBURG("Africa/Johannesburg","(UTC+2:00)South Africa Standard Time"),
        ASIA_JERUSALEM("Asia/Jerusalem","(UTC+2:00)Israel Standard Time"),
        ETC_GMT_SUB_2("Etc/GMT-2","(UTC+2:00)GMT+02:00"),
        AFRICA_ADDIS_ABABA("Africa/Addis_Ababa","(UTC+3:00)Eastern African Time"),
        ANTARCTICA_SYOWA("Antarctica/Syowa","(UTC+3:00)Syowa Time"),
        ASIA_ADEN("Asia/Aden","(UTC+3:00)Arabia Standard Time"),
        ETC_GMT_SUB_3("Etc/GMT-3","(UTC+3:00)GMT+03:00"),
        EUROPE_MOSCOW("Europe/Moscow","(UTC+3:00)Moscow Standard Time"),
        EUROPE_VOLGOGRAD("Europe/Volgograd","(UTC+3:00)Volgograd Time"),
        ASIA_RIYADH87("Asia/Riyadh87","(UTC+3:00)GMT+03:07"),
        ASIA_TEHRAN("Asia/Tehran","(UTC+3:00)Iran Standard Time"),
        ASIA_BAKU("Asia/Baku","(UTC+4:00)Azerbaijan Time"),
        ASIA_DUBAI("Asia/Dubai","(UTC+4:00)Gulf Standard Time"),
        ASIA_TBILISI("Asia/Tbilisi","(UTC+4:00)Georgia Time"),
        ASIA_YEREVAN("Asia/Yerevan","(UTC+4:00)Armenia Time"),
        ETC_GMT_SUB_4("Etc/GMT-4","(UTC+4:00)GMT+04:00"),
        EUROPE_SAMARA("Europe/Samara","(UTC+4:00)Samara Time"),
        INDIAN_MAHE("Indian/Mahe","(UTC+4:00)Seychelles Time"),
        INDIAN_MAURITIUS("Indian/Mauritius","(UTC+4:00)Mauritius Time"),
        INDIAN_REUNION("Indian/Reunion","(UTC+4:00)Reunion Time"),
        ASIA_KABUL("Asia/Kabul","(UTC+4:00)Afghanistan Time"),
        ASIA_AQTAU("Asia/Aqtau","(UTC+5:00)Aqtau Time"),
        ASIA_AQTOBE("Asia/Aqtobe","(UTC+5:00)Aqtobe Time"),
        ASIA_ASHGABAT("Asia/Ashgabat","(UTC+5:00)Turkmenistan Time"),
        ASIA_DUSHANBE("Asia/Dushanbe","(UTC+5:00)Tajikistan Time"),
        ASIA_KARACHI("Asia/Karachi","(UTC+5:00)Pakistan Time"),
        ASIA_ORAL("Asia/Oral","(UTC+5:00)Oral Time"),
        ASIA_SAMARKAND("Asia/Samarkand","(UTC+5:00)Uzbekistan Time"),
        ASIA_YEKATERINBURG("Asia/Yekaterinburg","(UTC+5:00)Yekaterinburg Time"),
        ETC_GMT_SUB_5("Etc/GMT-5","(UTC+5:00)GMT+05:00"),
        INDIAN_KERGUELEN("Indian/Kerguelen","(UTC+5:00)French Southern & Antarctic Lands Time"),
        INDIAN_MALDIVES("Indian/Maldives","(UTC+5:00)Maldives Time"),
        ASIA_CALCUTTA("Asia/Calcutta","(UTC+5:00)India Standard Time"),
        ASIA_KATMANDU("Asia/Katmandu","(UTC+5:00)Nepal Time"),
        ANTARCTICA_MAWSON("Antarctica/Mawson","(UTC+6:00)Mawson Time"),
        ANTARCTICA_VOSTOK("Antarctica/Vostok","(UTC+6:00)Vostok Time"),
        ASIA_ALMATY("Asia/Almaty","(UTC+6:00)Alma-Ata Time"),
        ASIA_BISHKEK("Asia/Bishkek","(UTC+6:00)Kirgizstan Time"),
        ASIA_DACCA("Asia/Dacca","(UTC+6:00)Bangladesh Time"),
        ASIA_NOVOSIBIRSK("Asia/Novosibirsk","(UTC+6:00)Novosibirsk Time"),
        ASIA_OMSK("Asia/Omsk","(UTC+6:00)Omsk Time"),
        ASIA_QYZYLORDA("Asia/Qyzylorda","(UTC+6:00)Qyzylorda Time"),
        ASIA_THIMBU("Asia/Thimbu","(UTC+6:00)Bhutan Time"),
        ETC_GMT_SUB_6("Etc/GMT-6","(UTC+6:00)GMT+06:00"),
        INDIAN_CHAGOS("Indian/Chagos","(UTC+6:00)Indian Ocean Territory Time"),
        ASIA_RANGOON("Asia/Rangoon","(UTC+6:00)Myanmar Time"),
        INDIAN_COCOS("Indian/Cocos","(UTC+6:00)Cocos Islands Time"),
        ANTARCTICA_DAVIS("Antarctica/Davis","(UTC+7:00)Davis Time"),
        ASIA_BANGKOK("Asia/Bangkok","(UTC+7:00)Indochina Time"),
        ASIA_HOVD("Asia/Hovd","(UTC+7:00)Hovd Time"),
        ASIA_JAKARTA("Asia/Jakarta","(UTC+7:00)West Indonesia Time"),
        ASIA_KRASNOYARSK("Asia/Krasnoyarsk","(UTC+7:00)Krasnoyarsk Time"),
        ETC_GMT_SUB_7("Etc/GMT-7","(UTC+7:00)GMT+07:00"),
        INDIAN_CHRISTMAS("Indian/Christmas","(UTC+7:00)Christmas Island Time"),
        ANTARCTICA_CASEY("Antarctica/Casey","(UTC+8:00)Western Standard Time (Australia)"),
        ASIA_BRUNEI("Asia/Brunei","(UTC+8:00)Brunei Time"),
        ASIA_CHOIBALSAN("Asia/Choibalsan","(UTC+8:00)Choibalsan Time"),
        ASIA_SHANGHAI("Asia/Shanghai","(UTC+8:00)China Standard Time"),
        ASIA_HONG_KONG("Asia/Hong_Kong","(UTC+8:00)Hong Kong Time"),
        ASIA_IRKUTSK("Asia/Irkutsk","(UTC+8:00)Irkutsk Time"),
        ASIA_KUALA_LUMPUR("Asia/Kuala_Lumpur","(UTC+8:00)Malaysia Time"),
        ASIA_MAKASSAR("Asia/Makassar","(UTC+8:00)Central Indonesia Time"),
        ASIA_MANILA("Asia/Manila","(UTC+8:00)Philippines Time"),
        ASIA_SINGAPORE("Asia/Singapore","(UTC+8:00)Singapore Time"),
        ASIA_ULAANBAATAR("Asia/Ulaanbaatar","(UTC+8:00)Ulaanbaatar Time"),
        ETC_GMT_SUB_8("Etc/GMT-8","(UTC+8:00)GMT+08:00"),
        AUSTRALIA_EUCLA("Australia/Eucla","(UTC+8:00)Central Western Standard Time (Australia)"),
        ASIA_DILI("Asia/Dili","(UTC+9:00)Timor-Leste Time"),
        ASIA_JAYAPURA("Asia/Jayapura","(UTC+9:00)East Indonesia Time"),
        ASIA_PYONGYANG("Asia/Pyongyang","(UTC+9:00)Korea Standard Time"),
        ASIA_TOKYO("Asia/Tokyo","(UTC+9:00)Japan Standard Time"),
        ASIA_YAKUTSK("Asia/Yakutsk","(UTC+9:00)Yakutsk Time"),
        ETC_GMT_SUB_9("Etc/GMT-9","(UTC+9:00)GMT+09:00"),
        PACIFIC_PALAU("Pacific/Palau","(UTC+9:00)Palau Time"),
        ACT("ACT","(UTC+9:00)Central Standard Time (Northern Territory)"),
        AUSTRALIA_ADELAIDE("Australia/Adelaide","(UTC+9:00)Central Standard Time (South Australia)"),
        AUSTRALIA_BROKEN_HILL("Australia/Broken_Hill","(UTC+9:00)Central Standard Time (South Australia/New South Wales)"),
        AET("AET","(UTC+10:00)Eastern Standard Time (New South Wales)"),
        ANTARCTICA_DUMONTDURVILLE("Antarctica/DumontDUrville","(UTC+10:00)Dumont-d|Urville Time"),
        ASIA_SAKHALIN("Asia/Sakhalin","(UTC+10:00)Sakhalin Time"),
        ASIA_VLADIVOSTOK("Asia/Vladivostok","(UTC+10:00)Vladivostok Time"),
        AUSTRALIA_BRISBANE("Australia/Brisbane","(UTC+10:00)Eastern Standard Time (Queensland)"),
        AUSTRALIA_HOBART("Australia/Hobart","(UTC+10:00)Eastern Standard Time (Tasmania)"),
        AUSTRALIA_MELBOURNE("Australia/Melbourne","(UTC+10:00)Eastern Standard Time (Victoria)"),
        ETC_GMT_SUB_10("Etc/GMT-10","(UTC+10:00)GMT+10:00"),
        PACIFIC_GUAM("Pacific/Guam","(UTC+10:00)Chamorro Standard Time"),
        PACIFIC_PORT_MORESBY("Pacific/Port_Moresby","(UTC+10:00)Papua New Guinea Time"),
        PACIFIC_TRUK("Pacific/Truk","(UTC+10:00)Truk Time"),
        AUSTRALIA_LHI("Australia/LHI","(UTC+10:00)Lord Howe Standard Time"),
        ASIA_MAGADAN("Asia/Magadan","(UTC+11:00)Magadan Time"),
        ETC_GMT_SUB_11("Etc/GMT-11","(UTC+11:00)GMT+11:00"),
        PACIFIC_EFATE("Pacific/Efate","(UTC+11:00)Vanuatu Time"),
        PACIFIC_GUADALCANAL("Pacific/Guadalcanal","(UTC+11:00)Solomon Is. Time"),
        PACIFIC_KOSRAE("Pacific/Kosrae","(UTC+11:00)Kosrae Time"),
        PACIFIC_NOUMEA("Pacific/Noumea","(UTC+11:00)New Caledonia Time"),
        PACIFIC_PONAPE("Pacific/Ponape","(UTC+11:00)Ponape Time"),
        PACIFIC_NORFOLK("Pacific/Norfolk","(UTC+11:00)Norfolk Time"),
        ANTARCTICA_MCMURDO("Antarctica/McMurdo","(UTC+12:00)New Zealand Standard Time"),
        ASIA_ANADYR("Asia/Anadyr","(UTC+12:00)Anadyr Time"),
        ASIA_KAMCHATKA("Asia/Kamchatka","(UTC+12:00)Petropavlovsk-Kamchatski Time"),
        ETC_GMT_SUB_12("Etc/GMT-12","(UTC+12:00)GMT+12:00"),
        KWAJALEIN("Kwajalein","(UTC+12:00)Marshall Islands Time"),
        PACIFIC_FIJI("Pacific/Fiji","(UTC+12:00)Fiji Time"),
        PACIFIC_FUNAFUTI("Pacific/Funafuti","(UTC+12:00)Tuvalu Time"),
        PACIFIC_NAURU("Pacific/Nauru","(UTC+12:00)Nauru Time"),
        PACIFIC_TARAWA("Pacific/Tarawa","(UTC+12:00)Gilbert Is. Time"),
        PACIFIC_WAKE("Pacific/Wake","(UTC+12:00)Wake Time"),
        PACIFIC_WALLIS("Pacific/Wallis","(UTC+12:00)Wallis & Futuna Time"),
        NZ_SUB_CHAT("NZ-CHAT","(UTC+12:00)Chatham Standard Time"),
        ETC_GMT_SUB_13("Etc/GMT-13","(UTC+13:00)GMT+13:00"),
        PACIFIC_ENDERBURY("Pacific/Enderbury","(UTC+13:00)Phoenix Is. Time"),
        PACIFIC_TONGATAPU("Pacific/Tongatapu","(UTC+13:00)Tonga Time"),
        ETC_GMT_SUB_14("Etc/GMT-14","(UTC+14:00)GMT+14:00"),
        PACIFIC_KIRITIMATI("Pacific/Kiritimati","(UTC+14:00)Line Is. Time");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList59(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[见习期（见习生规则）]
     */
    @Getter
    public enum EhrCodeList0187 {
        ITEM_12("12","1年"),
        ITEM_6("6","6个月"),
        ITEM_3("3","3个月");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0187(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[应聘者岗位类别]
     */
    @Getter
    public enum EhrCodeList0004 {
        ITEM_10("10","房屋建筑类"),
        ITEM_20("20","基础设施类"),
        ITEM_30("30","金融投资类"),
        ITEM_40("40","勘察设计类"),
        ITEM_50("50","职能管理类");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0004(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[输入辅助_图表参数]
     */
    @Getter
    public enum CodeList104 {
        CARETTEMPLGROUP_SRFREPORT_CHARTDATA("CARETTEMPLGROUP_SRFREPORT_CHARTDATA","图表数据定义"),
        CARETTEMPLGROUP_SRFREPORT_CHART("CARETTEMPLGROUP_SRFREPORT_CHART","图表表现定义");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList104(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[主实体删除关系实体操作]
     */
    @Getter
    public enum CodeList21 {
        ITEM_1("1","同时删除"),
        ITEM_2("2","置空"),
        ITEM_3("3","限制删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList21(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体数据处理_数据操作]
     */
    @Getter
    public enum CodeList108 {
        INSERT("INSERT","新建"),
        UPDATE("UPDATE","更新"),
        SAVE("SAVE","保存（自动判断）"),
        DELETE("DELETE","删除"),
        CUSTOMCALL("CUSTOMCALL","自定义调用"),
        CUSTOMPROCCALL("CUSTOMPROCCALL","自定义存储过程调用"),
        CUSTOMRAWPROCCALL("CUSTOMRAWPROCCALL","自定义存储过程调用（全称）"),
        GET("GET","获取(GET)"),
        CHECKKEYSTATE("CHECKKEYSTATE","检查主键状态(CHECKKEYSTATE)");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList108(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[前端展现技术]
     */
    @Getter
    public enum CodeList96 {
        HTML("HTML","HTML"),
        SL("SL","SilverLight"),
        WINRT("WinRT","WinRT"),
        ANDROID("Android","Android"),
        IOS("IOS","IOS");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList96(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[实体规则处理_数据类型]
     */
    @Getter
    public enum CodeList112 {
        VARCHAR("VARCHAR","文本"),
        INT("INT","整形"),
        FLOAT("FLOAT","浮点"),
        DATETIME("DATETIME","日期");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList112(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[招聘_局总部审核状态]
     */
    @Getter
    public enum EhrCodeList0168 {
        ITEM_0("0","未审核"),
        ITEM_1("1","审核通过"),
        ITEM_2("2","审核不通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0168(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[要素项类型]
     */
    @Getter
    public enum EhrCodeList0212 {
        ITEM_10("10","手工录入"),
        ITEM_20("20","引用规则"),
        ITEM_30("30","引用公式");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0212(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体关系明细类型]
     */
    @Getter
    public enum CodeList14 {
        PAGE("PAGE","内建页面"),
        PAGEPATH("PAGEPATH","页面路径"),
        DER1N("DER1N","1:N关系"),
        DER11("DER11","1:1关系"),
        WFSTEP("WFSTEP","工作流处理步骤"),
        WFSTEPACTOR("WFSTEPACTOR","工作流当前处理用户"),
        FILELIST("FILELIST","附件列表"),
        DATAAUDIT("DATAAUDIT","行为审计"),
        DERTYPE("DERTYPE","实体关系分组");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList14(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[试岗状态]
     */
    @Getter
    public enum EhrCodeList0180 {
        SGZ("SGZ","试岗中"),
        BTG("BTG","试岗未通过"),
        TG("TG","试岗通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0180(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[奖励惩罚类型]
     */
    @Getter
    public enum EhrCodeList0124 {
        REWARD("REWARD","奖励"),
        PUNISHMENT("PUNISHMENT","惩罚");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0124(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[本地语言]
     */
    @Getter
    public enum CodeList56 {
        EN("EN","英文"),
        ZH_CN("ZH_CN","中文简体"),
        ZH_TW("ZH_TW","中文繁体（台湾）");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList56(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[业务状态（项目人力释放）]
     */
    @Getter
    public enum EhrCodeList0151 {
        ITEM_10("10","待释放"),
        ITEM_20("20","释放中"),
        ITEM_30("30","释放完成");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0151(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[活动类型]
     */
    @Getter
    public enum EhrCodeList0213 {
        ITEM_10("10","上班"),
        ITEM_20("20","休假");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0213(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[降职免职]
     */
    @Getter
    public enum EhrCodeList0210 {
        ITEM_0("0","降职"),
        ITEM_1("1","免职");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0210(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[异动类型]
     */
    @Getter
    public enum EhrCodeList0220 {
        ZJBD("10","职级变动"),
        GZ("20","挂职"),
        LZ("30","离职"),
        JP("40","解聘"),
        DG("50","待岗"),
        NT("60","内退"),
        TX("70","退休"),
        CQBX("80","长期病休"),
        JD("90","借调"),
        JZ("100","兼职");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0220(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[输入辅助_页面参数]
     */
    @Getter
    public enum CodeList100 {
        CARETTEMPLGROUP_SRFDA_PAGEPARAM("CARETTEMPLGROUP_SRFDA_PAGEPARAM","常规页面参数"),
        CARETTEMPLGROUP_SRFDA_GRIDVIEWPAGEPARAM("CARETTEMPLGROUP_SRFDA_GRIDVIEWPAGEPARAM","表格页面参数"),
        CARETTEMPLGROUP_SRFDA_EDITVIEWPAGEPARAM("CARETTEMPLGROUP_SRFDA_EDITVIEWPAGEPARAM","编辑页面参数");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList100(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[单位/部门类型]
     */
    @Getter
    public enum EhrCodeList0081 {
        ITEM_10("10","单位"),
        ITEM_20("20","部门");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0081(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[职务级别]
     */
    @Getter
    public enum EhrCodeList0094 {
        ITEM_10("10","部门正职"),
        ITEM_20("20","部门副职"),
        ITEM_30("30","公司负责人");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0094(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[性能分析指标]
     */
    @Getter
    public enum CodeList117 {
        PODBACTION("PODBACTION","数据库操作性能"),
        PODBQUERY("PODBQUERY","数据库查询性能"),
        PODEDC("PODEDC","实体处理逻辑性能"),
        POWORKFLOW("POWORKFLOW","工作流性能"),
        POPAGE("POPAGE","页面性能"),
        POPAGEBACKEND("POPAGEBACKEND","页面性能(后台)"),
        POPAGESESSION("POPAGESESSION","并发性能");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList117(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[数据库触发器事件]
     */
    @Getter
    public enum CodeList66 {
        INSERT("INSERT","Insert"),
        UPDATE("UPDATE","Update"),
        DELETE("DELETE","Delete");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList66(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[年度（2012～2030）]
     */
    @Getter
    public enum EhrCodeList0115 {
        ITEM_2012(2012,"2012年"),
        ITEM_2013(2013,"2013年"),
        ITEM_2014(2014,"2014年"),
        ITEM_2015(2015,"2015年"),
        ITEM_2016(2016,"2016年"),
        ITEM_2017(2017,"2017年"),
        ITEM_2018(2018,"2018年"),
        ITEM_2019(2019,"2019年"),
        ITEM_2020(2020,"2020年"),
        ITEM_2021(2021,"2021年"),
        ITEM_2022(2022,"2022年"),
        ITEM_2023(2023,"2023年"),
        ITEM_2024(2024,"2024年"),
        ITEM_2025(2025,"2025年"),
        ITEM_2026(2026,"2026年"),
        ITEM_2027(2027,"2027年"),
        ITEM_2028(2028,"2028年"),
        ITEM_2029(2029,"2029年"),
        ITEM_2030(2030,"2030年");

        private int value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0115(int value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[审批主体（绩效专用）]
     */
    @Getter
    public enum EhrCodeList0209 {
        ITEM_10("10","直属领导考评"),
        ITEM_20("20","分管领导考评"),
        ITEM_30("30","总经理考评");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0209(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[附件分类]
     */
    @Getter
    public enum EhrCodeList0016 {
        ITEM_10("10","学历"),
        ITEM_20("20","学位"),
        ITEM_30("30","证书"),
        ITEM_40("40","论文"),
        ITEM_50("50","科研成果"),
        ITEM_60("60","军转干部"),
        ITEM_70("70","专利"),
        ITEM_90("90","奖惩"),
        ITEM_80("80","语言能力");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0016(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[评价（基础管理）]
     */
    @Getter
    public enum EhrCodeList0046 {
        ITEM_10("10","优秀"),
        ITEM_20("20","良好"),
        ITEM_30("30","一般"),
        ITEM_40("40","不合格");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0046(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[属性预定义值规则]
     */
    @Getter
    public enum CodeList13 {
        INT("INT","整数"),
        POSITIVEINT("POSITIVEINT","正整数"),
        STRING("STRING","字符串"),
        STRING_EMAIL("STRING_EMAIL","电子邮件"),
        FLOAT("FLOAT","浮点数"),
        FLOAT_PERCENT("FLOAT_PERCENT","百分比数值(0~100)"),
        DATETIME("DATETIME","日期时间"),
        DATETIME_GTNOW("DATETIME_GTNOW","大于当天时间"),
        DATETIME_GTNOWNOHOUR("DATETIME_GTNOWNOHOUR","大于当天日期"),
        DATETIME_GTNOW3DAY("DATETIME_GTNOW3DAY","后3天");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList13(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[业务板块（ERP项目管理）]
     */
    @Getter
    public enum EhrCodeList0139 {
        ITEM_10("10","基础设施"),
        ITEM_20("20","房建"),
        ITEM_30("30","地产");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0139(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[报表输出格式]
     */
    @Getter
    public enum CodeList54 {
        PDF("PDF","PDF"),
        EXCEL("EXCEL","EXCEL"),
        HTML("HTML","HTML");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList54(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[异动处理状态]
     */
    @Getter
    public enum EhrCodeList0194 {
        DC("DC","调出"),
        QT("QT","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0194(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[业务状态（项目人力调配）]
     */
    @Getter
    public enum EhrCodeList0135 {
        ITEM_10("10","待调配"),
        ITEM_20("20","审批中"),
        ITEM_30("30","审批通过"),
        ITEM_40("40","审批不通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0135(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[有效/失效]
     */
    @Getter
    public enum EhrCodeList0057 {
        ITEM_10("10","有效"),
        ITEM_20("20","失效");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0057(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[薪酬计划状态]
     */
    @Getter
    public enum EhrCodeList0102 {
        ITEM_10("10","待执行"),
        ITEM_20("20","已执行"),
        ITEM_30("30","已取消");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0102(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[原因类型]
     */
    @Getter
    public enum EhrCodeList0125 {
        LZYY("10","离职原因"),
        JPYY("20","解聘原因");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0125(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目级别]
     */
    @Getter
    public enum EhrCodeList0201 {
        ITEM_0("0","特级"),
        ITEM_1("1","一级"),
        ITEM_2("2","二级"),
        ITEM_3("3","三级"),
        ITEM_4("4","四级"),
        ITEM_5("5","五级");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0201(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[报表分类]
     */
    @Getter
    public enum CodeList12 {
        REPORTFOLDER_1("REPORTFOLDER_1","经营性报表"),
        REPORTFOLDER_2("REPORTFOLDER_2","财务报表");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList12(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[用户数据行为]
     */
    @Getter
    public enum CodeList71 {
        ITEM_1("1","无建立"),
        ITEM_2("2","无更新"),
        ITEM_4("4","无删除"),
        ITEM_8("8","无查看");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList71(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[省份]
     */
    @Getter
    public enum EhrCodeList0186 {
        ITEM_10("10","安徽省"),
        ITEM_20("20","澳门特别行政区"),
        ITEM_30("30","北京市"),
        ITEM_40("40","重庆市"),
        ITEM_50("50","福建省"),
        ITEM_60("60","甘肃省"),
        ITEM_70("70","广东省"),
        ITEM_80("80","广西壮族自治区"),
        ITEM_90("90","贵州省"),
        ITEM_100("100","海南省"),
        ITEM_110("110","河北省"),
        ITEM_120("120","黑龙江省"),
        ITEM_130("130","河南省"),
        ITEM_140("140","湖北省"),
        ITEM_150("150","湖南省"),
        ITEM_160("160","江苏省"),
        ITEM_170("170","江西省"),
        ITEM_180("180","吉林省"),
        ITEM_190("190","辽宁省"),
        ITEM_200("200","内蒙古"),
        ITEM_210("210","宁夏回族自治区"),
        ITEM_220("220","青海省"),
        ITEM_230("230","陕西省"),
        ITEM_240("240","山东省"),
        ITEM_250("250","上海市"),
        ITEM_260("260","山西省"),
        ITEM_270("270","四川省"),
        ITEM_280("280","天津市"),
        ITEM_290("290","新疆维吾尔族自治区"),
        ITEM_300("300","西藏自治区"),
        ITEM_310("310","云南省"),
        ITEM_320("320","浙江省");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0186(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据通知监控行为（新建、更新、删除）]
     */
    @Getter
    public enum CodeList98 {
        ITEM_1("1","新建"),
        ITEM_2("2","更新"),
        ITEM_4("4","删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList98(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[开发帮助重要程度]
     */
    @Getter
    public enum CodeList31 {
        LOW("LOW","低"),
        NORMAIL("NORMAIL","中"),
        HIGH("HIGH","高");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList31(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[执业资格类别]
     */
    @Getter
    public enum EhrCodeList0061 {
        ITEM_20("20","一级注册建造师"),
        ITEM_30("30","其他注册类"),
        ITEM_10("10","注册设计类");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0061(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[区域分级]
     */
    @Getter
    public enum EhrCodeList0221 {
        ITEM_1("一类地区","一类地区"),
        ITEM_2("二类地区","二类地区"),
        ITEM_3("三类地区","三类地区"),
        ITEM_4("四类地区","四类地区");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0221(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[版本状态]
     */
    @Getter
    public enum EhrCodeList0108 {
        ITEM_10("10","当前"),
        ITEM_0("0","历史");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0108(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[比较规则]
     */
    @Getter
    public enum EhrCodeList0068 {
        GT(">",">"),
        GTEQ(">=",">="),
        EQ("=","="),
        LTEQ("<=","<="),
        LT("<","<");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0068(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[档案操作类型]
     */
    @Getter
    public enum EhrCodeList0227 {
        ITEM_10("10","调出操作"),
        ITEM_20("20","调入操作");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0227(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[提醒消息类型]
     */
    @Getter
    public enum EhrCodeList0172 {
        RZ("RZ","入职"),
        DD("DD","调动"),
        JD("JD","借调"),
        JZ("JZ","兼职"),
        GZ("GZ","挂职"),
        DG("DG","待岗"),
        KDP("KDP","可调配"),
        NT("NT","内退"),
        CQBX("CQBX","长期病休"),
        LZ("LZ","离职"),
        JP("JP","解聘"),
        TX("TX","退休"),
        TXFP("TXFP","返聘"),
        XYGZZ("XYGZZ","新员工转正"),
        JXSZZ("JXSZZ","见习生转正"),
        BYLYGZZ("BYLYGZZ","B/Y类员工转正"),
        ZJBD("ZJBD","职级变动"),
        ITEM_40("40","轮岗到期"),
        ITEM_70("70","挂职到期"),
        ITEM_90("90","借调到期"),
        ITEM_110("110","兼职到期");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0172(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[类型（针对人员主信息）]
     */
    @Getter
    public enum EhrCodeList0129 {
        ITEM_10("10","职级变动申请"),
        ITEM_20("20","挂职申请"),
        ITEM_30("30","离职申请"),
        ITEM_40("40","解聘申请"),
        ITEM_50("50","待岗申请"),
        ITEM_60("60","内退申请"),
        ITEM_70("70","退休申请"),
        ITEM_80("80","长期病休申请");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0129(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }





    /**
     * 代码表[页面样式]
     */
    @Getter
    public enum CodeList22 {
        ITEM_0("0","跳转处理界面"),
        ITEM_1("1","数据编辑界面"),
        ITEM_2("2","数据表格界面"),
        ITEM_9("9","数据树形界面"),
        ITEM_3("3","数据选择界面"),
        ITEM_4("4","工作流数据编辑界面"),
        ITEM_5("5","工作流表格界面"),
        ITEM_6("6","工作流管理表格界面"),
        ITEM_7("7","导航界面"),
        ITEM_8("8","信息展示界面");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList22(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[页面资源类型]
     */
    @Getter
    public enum CodeList17 {
        NONE("NONE","无资源"),
        DEDATA("DEDATA","数据操作"),
        PAGE("PAGE","页面对象"),
        CUSTOM("CUSTOM","自定义");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList17(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[岗位状态]
     */
    @Getter
    public enum EhrCodeList0235 {
        ITEM_10("10","在岗"),
        ITEM_20("20","离岗");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0235(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[是否逻辑]
     */
    @Getter
    public enum EhrCodeList0400 {
        ITEM_1(1,"是"),
        ITEM_0(0,"否");

        private int value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0400(int value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[审计行为]
     */
    @Getter
    public enum CodeList27 {
        CREATE("CREATE","建立"),
        UPDATE("UPDATE","更新"),
        DELETE("DELETE","删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList27(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[开票类型]
     */
    @Getter
    public enum EhrCodeList0039 {
        ITEM_10("10","普通发票"),
        ITEM_20("20","增值税专用发票");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0039(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[月（1～31）]
     */
    @Getter
    public enum CodeList47 {
        ITEM_1("1","1号"),
        ITEM_2("2","2号"),
        ITEM_3("3","3号"),
        ITEM_4("4","4号"),
        ITEM_5("5","5号"),
        ITEM_6("6","6号"),
        ITEM_7("7","7号"),
        ITEM_8("8","8号"),
        ITEM_9("9","9号"),
        ITEM_10("10","10号"),
        ITEM_11("11","11号"),
        ITEM_12("12","12号"),
        ITEM_13("13","13号"),
        ITEM_14("14","14号"),
        ITEM_15("15","15号"),
        ITEM_16("16","16号"),
        ITEM_17("17","17号"),
        ITEM_18("18","18号"),
        ITEM_19("19","19号"),
        ITEM_20("20","20号"),
        ITEM_21("21","21号"),
        ITEM_22("22","22号"),
        ITEM_23("23","23号"),
        ITEM_24("24","24号"),
        ITEM_25("25","25号"),
        ITEM_26("26","26号"),
        ITEM_27("27","27号"),
        ITEM_28("28","28号"),
        ITEM_29("29","29号"),
        ITEM_30("30","30号"),
        ITEM_31("31","31号");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList47(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据通知类型]
     */
    @Getter
    public enum CodeList61 {
        TIME("TIME","定时"),
        NORMAL("NORMAL","值变更"),
        TIMEEX("TIMEEX","定时+值判断");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList61(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体数据操作步骤]
     */
    @Getter
    public enum CodeList106 {
        GETDEFAULT("GETDEFAULT","获取默认值"),
        BEFORESAVE("BEFORESAVE","保存之前"),
        AFTERSAVE("AFTERSAVE","保存之后"),
        BEFOREREMOVE("BEFOREREMOVE","删除之前"),
        AFTERREMOVE("AFTERREMOVE","删除之后"),
        TESTSAVE("TESTSAVE","测试保存"),
        CUSTOMCALL("CUSTOMCALL","自定义操作"),
        INTERNALCALL("INTERNALCALL","内部调用");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList106(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[招聘类型]
     */
    @Getter
    public enum EhrCodeList0003 {
        XYZP("XYZP","校园招聘"),
        SHZP("SHZP","社会招聘"),
        NBZP("NBZP","内部招聘"),
        GZJ("GZJ","挂职进");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0003(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[打卡方式]
     */
    @Getter
    public enum EhrCodeList0007 {
        ITEM_10("10","打卡机"),
        ITEM_20("20","定位打卡"),
        ITEM_30("30","不打卡");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0007(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[员工信息记录所属]
     */
    @Getter
    public enum EhrCodeList0034 {
        ITEM_10("10","管理员"),
        ITEM_20("20","个人");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0034(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[数据同步方向]
     */
    @Getter
    public enum CodeList97 {
        IN("IN","输入"),
        OUT("OUT","输出");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList97(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[表格列对齐]
     */
    @Getter
    public enum CodeList18 {
        LEFT("left","左对齐"),
        CENTER("center","剧中"),
        RIGHT("right","右对齐");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList18(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据通知取值规则]
     */
    @Getter
    public enum CodeList69 {
        AFTER("AFTER","变更后"),
        BEFORE("BEFORE","变更前"),
        CHANGE("CHANGE","值变更");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList69(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[开发数据版本控制状态]
     */
    @Getter
    public enum CodeList115 {
        CHECKIN("CHECKIN","签入"),
        CHECKOUT("CHECKOUT","签出");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList115(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[页面参数值变量]
     */
    @Getter
    public enum CodeList63 {
        PARAM1("PARAM1","参数1(字符)"),
        PARAM2("PARAM2","参数2(字符)");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList63(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[部门领导（WFTest测试）]
     */
    @Getter
    public enum EhrCodeList0244 {
        D41C0515_SUB_E1C0_SUB_4DFD_SUB_AE30_SUB_6096A585D247("D41C0515-E1C0-4DFD-AE30-6096A585D247","冯国军"),
        ITEM_2("3B2675AD-9E2D-456A-936B-5C031A37B176","白保光");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0244(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[表格每页记录数]
     */
    @Getter
    public enum CodeList26 {
        ITEM_10("10","10行"),
        ITEM_20("20","20行"),
        ITEM_30("30","30行"),
        ITEM_40("40","40行"),
        ITEM_50("50","50行"),
        ITEM_60("60","60行"),
        ITEM_70("70","70行"),
        ITEM_80("80","80行"),
        ITEM_90("90","90行"),
        ITEM_100("100","100行");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList26(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[绩效阶段]
     */
    @Getter
    public enum EhrCodeList0141 {
        ITEM_10("10","量化目标填报"),
        ITEM_20("20","量化目标修正"),
        ITEM_30("30","量化目标考核");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0141(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[界面功能类型]
     */
    @Getter
    public enum CodeList91 {
        INHERIT("INHERIT","继承模板"),
        DEFAULT("DEFAULT","默认功能"),
        CUSTOM("CUSTOM","自定义");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList91(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[日小时（0～23）]
     */
    @Getter
    public enum CodeList85 {
        ITEM_00("00","0点"),
        ITEM_01("01","1点"),
        ITEM_02("02","2点"),
        ITEM_03("03","3点"),
        ITEM_04("04","4点"),
        ITEM_05("05","5点"),
        ITEM_06("06","6点"),
        ITEM_07("07","7点"),
        ITEM_08("08","8点"),
        ITEM_09("09","9点"),
        ITEM_10("10","10点"),
        ITEM_11("11","11点"),
        ITEM_12("12","12点"),
        ITEM_13("13","13点"),
        ITEM_14("14","14点"),
        ITEM_15("15","15点"),
        ITEM_16("16","16点"),
        ITEM_17("17","17点"),
        ITEM_18("18","18点"),
        ITEM_19("19","19点"),
        ITEM_20("20","20点"),
        ITEM_21("21","21点"),
        ITEM_22("22","22点"),
        ITEM_23("23","23点");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList85(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[月份（1～12）]
     */
    @Getter
    public enum CodeList82 {
        ITEM_1(1,"1月"),
        ITEM_2(2,"2月"),
        ITEM_3(3,"3月"),
        ITEM_4(4,"4月"),
        ITEM_5(5,"5月"),
        ITEM_6(6,"6月"),
        ITEM_7(7,"7月"),
        ITEM_8(8,"8月"),
        ITEM_9(9,"9月"),
        ITEM_10(10,"10月"),
        ITEM_11(11,"11月"),
        ITEM_12(12,"12月");

        private int value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        CodeList82(int value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[数据通知监控行为]
     */
    @Getter
    public enum CodeList72 {
        ITEM_1("1","新建"),
        ITEM_2("2","更新"),
        ITEM_3("3","新建或更新"),
        ITEM_4("4","删除");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList72(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[级别类型]
     */
    @Getter
    public enum EhrCodeList0082 {
        ITEM_10("10","高级"),
        ITEM_20("20","中级"),
        ITEM_30("30","初级");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0082(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[年轻干部产生方式]
     */
    @Getter
    public enum EhrCodeList0119 {
        TP("TP","投票"),
        TJ("TJ","推荐"),
        QT("QT","其他");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0119(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体规则处理_值处理函数]
     */
    @Getter
    public enum CodeList110 {
        DATE_DIFF_D("DATE_DIFF_D","距今天数（日期）"),
        DATE_DIFF_W("DATE_DIFF_W","距今周数（日期）"),
        DATE_DIFF_M("DATE_DIFF_M","距今月份数（日期）"),
        DATE_DIFF_Q("DATE_DIFF_Q","距今季度数（日期）"),
        DATE_DIFF_Y("DATE_DIFF_Y","距今年数（日期）");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList110(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[学历（图表）]
     */
    @Getter
    public enum EhrCodeList0236 {
        ITEM_1("1DR","博士"),
        ITEM_2("2MD","硕士"),
        ITEM_3("3UNDERGRAD","本科"),
        ITEM_4("4JUNIOR","大专"),
        ITEM_5("5TECHSECSCH","中专及以下");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0236(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[平台内置流程状态]
     */
    @Getter
    public enum EhrCodeList0059 {
        ITEM_0("0","未启动"),
        ITEM_1("1","流程中"),
        ITEM_2("2","已完成"),
        ITEM_3("3","已取消"),
        ITEM_31("31","已取消(人工)"),
        ITEM_32("32","已取消(超时)"),
        ITEM_4("4","处理故障");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0059(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[年轻干部审批状态]
     */
    @Getter
    public enum EhrCodeList0026 {
        ITEM_10("10","入选"),
        ITEM_40("40","退出");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0026(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[周期类型]
     */
    @Getter
    public enum EhrCodeList0077 {
        ITEM_10("10","年度"),
        ITEM_20("20","月度");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0077(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[待岗类型]
     */
    @Getter
    public enum EhrCodeList0247 {
        ITEM_10("10","待岗"),
        ITEM_20("20","可调配");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0247(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[社保类型]
     */
    @Getter
    public enum EhrCodeList0160 {
        ITEM_10("10","基本养老保险"),
        ITEM_20("20","基本医疗保险"),
        ITEM_30("30","生育保险"),
        ITEM_40("40","失业保险"),
        ITEM_50("50","工伤保险"),
        ITEM_60("60","住房公积金"),
        ITEM_70("70","补充住房公积金"),
        ITEM_80("80","企业年金"),
        ITEM_90("90","大额医疗互助费");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0160(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[计划类型]
     */
    @Getter
    public enum EhrCodeList0401 {
        ITEM_10("10","计划内"),
        ITEM_20("20","计划外");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0401(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[培训需求汇总状态]
     */
    @Getter
    public enum EhrCodeList0166 {
        ITEM_10("10","未汇总"),
        ITEM_20("20","汇总中"),
        ITEM_30("30","已汇总");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0166(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[培训组织方]
     */
    @Getter
    public enum EhrCodeList0143 {
        ITEM_10("10","教育学院"),
        ITEM_20("20","部门");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0143(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[组织性质]
     */
    @Getter
    public enum EhrCodeList0022 {
        ITEM_10("10","法人单位"),
        ITEM_20("20","非法人单位");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0022(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体数据处理_变量名称]
     */
    @Getter
    public enum CodeList109 {
        _DEFAULT_("%DEFAULT%","默认变量"),
        _ENV_("%ENV%","环境变量"),
        PARAM1("PARAM1","变量1"),
        PARAM2("PARAM2","变量2"),
        PARAM3("PARAM3","变量3"),
        PARAM4("PARAM4","变量4"),
        PARAM5("PARAM5","变量5"),
        _LAST_("%LAST%","历史值"),
        _GLOBAL1_("%GLOBAL1%","全局变量1"),
        _GLOBAL2_("%GLOBAL2%","全局变量2"),
        _GLOBAL3_("%GLOBAL3%","全局变量3"),
        _GLOBAL4_("%GLOBAL4%","全局变量4"),
        _GLOBAL5_("%GLOBAL5%","全局变量5"),
        _BRINST_("%BRINST%","全局规则引擎实例变量");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList109(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[项目人力需求审核]
     */
    @Getter
    public enum EhrCodeList0164 {
        ITEM_10("10","拟稿"),
        ITEM_20("20","审批中"),
        ITEM_30("30","审批通过"),
        ITEM_40("40","审批不通过");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0164(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[评估结果]
     */
    @Getter
    public enum EhrCodeList0404 {
        ITEM_10("10","优秀"),
        ITEM_20("20","良好"),
        ITEM_30("30","合格"),
        ITEM_40("40","不合格");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0404(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }




    /**
     * 代码表[日历参与者状态]
     */
    @Getter
    public enum CodeList15 {
        UNDECIDED("UNDECIDED","未确定"),
        ACCEPT("ACCEPT","接受"),
        REJECT("REJECT","拒绝");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList15(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[调动所属范围]
     */
    @Getter
    public enum EhrCodeList0226 {
        ITEM_10("10","本单位"),
        ITEM_20("20","调入"),
        ITEM_30("30","调出");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0226(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[需求分类]
     */
    @Getter
    public enum EhrCodeList0154 {
        ITEM_10("10","企业培训需求"),
        ITEM_20("20","个人外出培训需求");

        private String value;
        private String text;
        private String valueSeparator=";";
        private String textSeparator="、";
        private String emptyText="";

        EhrCodeList0154(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[岗位分类]
     */
    @Getter
    public enum EhrCodeList0073 {
        ITEM_0("0","党内"),
        ITEM_1("1","行政");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0073(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }



    /**
     * 代码表[探亲类型]
     */
    @Getter
    public enum EhrCodeList0245 {
        ITEM_10("10","探父母"),
        ITEM_20("20","探配偶");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0245(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[评级（绩效管理）]
     */
    @Getter
    public enum EhrCodeList0005 {
        A("A","A"),
        B("B","B"),
        C("C","C");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        EhrCodeList0005(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[实体数据库操作]
     */
    @Getter
    public enum CodeList53 {
        INSERT("INSERT","插入"),
        UPDATE("UPDATE","更新"),
        SELECT("SELECT","查询"),
        DELETE("DELETE","删除"),
        CUSTOM("CUSTOM","自定义");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList53(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


    /**
     * 代码表[扩展表格单元格边框样式]
     */
    @Getter
    public enum CodeList76 {
        LEFT("LEFT","左边框"),
        TOP("TOP","上边框"),
        RIGHT("RIGHT","右边框"),
        BOTTOM("BOTTOM","下边框");

        private String value;
        private String text;
        private String valueSeparator="";
        private String textSeparator="";
        private String emptyText="";

        CodeList76(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }


}

